commit 7fbbffca5cd39063739202418131352a00b3820f
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Tue Jun 25 13:43:22 2013 -0300

    Fix SimpleTransactionScope* tests when running on Mono version below 3.0
    
    Mono below 3.0 doesn't implement the transaction methods and so the code which checks for the added row was incorrectly being run.

commit ff0a4b905e5b0f7a9c505b1ca7c7a366673d358b
Author: Kevin Pullin <kevin.pullin@gmail.com>
Date:   Mon Jun 24 20:43:27 2013 -0700

    Reapplied ConnectionStringBuilder caching update

commit c8fe8e544801fad4e8d01d80d8dddaf82a2d8708
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon Jun 24 14:56:20 2013 -0300

    Modified last commit to not use a new connection.

commit 436d5b569050e1461d530bada3361c8b32c402eb
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon Jun 24 14:33:42 2013 -0300

    Fixed SimpleTransactionScope* methods to clean up data left in the tests.
    
    The data left in the tests were giving problems when the tests are run again.

commit 8af98d9965761723dd079adf59e02dad8df71c11
Author: yfakariya <yfakariya@gmail.com>
Date:   Sun Jun 9 01:19:44 2013 +0900

    Fix ParameterMarkerFormat value of the schema collection is not valid.
    
    Conflicts:
    	testsuite/noninteractive/NUnit20/ConnectionTests.cs

commit 30bcf4695304cc922c2939723bf1dda325fb3059
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Sat Jun 15 22:13:32 2013 -0300

    Developers should use NuGet to get EntityFramework.dll assembly for EF6
    support.

commit 63af6457c167d93163a772662f9fe8057d866b08
Author: Pēteris Ņikiforovs <p@mak.id.lv>
Date:   Sat May 4 12:25:00 2013 +0300

    Created a new project for Entity Framework 6 which uses the new namespaces

commit e6f6cf78e6b5a278319586604bae191902515a77
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon Jun 10 22:38:08 2013 -0300

    Add connection state change events for close and open. Thanks
    https://github.com/pdonald and https://github.com/maxbundchen for the
    patch.
    
    Npgsql didn't have connection state change events. According to
    maxbundchen: "the EF6 depends on open/close events in some cases (like
    update or insert) and Npgsql don't trigger this ones."
    https://github.com/franciscojunior/Npgsql2/pull/19#issuecomment-17627188
    
    Added tests about those events.

commit 17ad6263ceae23988a345a503807eab468a5147e
Merge: e3622de 183ed02
Author: Francisco Figueiredo Jr. <francisco@npgsql.org>
Date:   Tue Jun 11 17:34:46 2013 -0700

    Merge pull request #24 from yfakariya/fix-policy-dll
    
    Policy DLL on NuGet package is not valid.

commit 183ed021bf59908238d34ef94ea597ba9a34921f
Author: yfakariya <yfakariya@gmail.com>
Date:   Tue Jun 11 23:20:54 2013 +0900

    Fix policyFileBuild.bat to be runnable in vs2010 dev env.

commit 1f4d6110fb89bb71ba057b9516f6dde1db8ecf22
Author: yfakariya <yfakariya@gmail.com>
Date:   Mon Jun 10 00:14:05 2013 +0900

    Fix policy-dll is always generated for clr4.

commit e3622de286d876a84869d7ddefdd563256f0ed0e
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon Jun 3 21:18:59 2013 -0300

    Fixed a little typo.

commit ed46f8d1950a5c46ad1f89f833c8c95abe7fa0cb
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Sat Jun 1 20:13:51 2013 -0300

    Added testcase based on bug report "[#1011085] Money format is not set in
    accordance with the system locale format"

commit f51b38cf51472d19a8873d986531359a7de3827c
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Sat Jun 1 15:00:40 2013 -0300

    Fixes [#1011267] and [#1011085]. Fixes problems with money support.
    
    Negative money support and other bugs were caused by representation format
    differences caused by the culture configured for the server. By forcing a
    culture agnostic format, we get a consistent behavior. From now on,
    Npgsql uses the 'C' locale for monetary.

commit 65fd96a72a63343bc5aae82eb58227f28dc7d032
Author: davidrowley <dgrowley@gmail.com>
Date:   Fri May 31 08:45:52 2013 +1200

    Tidy up of new test functions
    
    Renamed the 3 new test functions to give them more suitable names. Also
    added comment to explain why a domain is created to test the
    DataTypeName field. I would have guessed that we could see this
    populated by violating a NOT NULL constraint on a table's column, but
    this does not seem to be the case.

commit b26a430fba2a52fb460879ee882bce96ae666e3b
Author: davidrowley <dgrowley@gmail.com>
Date:   Fri May 31 08:35:21 2013 +1200

    Fix missing [Test] clauses from newly added test
    
    Also for the unique violation test I've added some asserts to ensure
    that the data type and column name are empty. These are not populated
    for unique violations, originally I removed the tests but on after
    thought it's probably better to ensure that they're empty strings.

commit ad4a59886d721001e5b5487df627e9652ec1947f
Author: davidrowley <dgrowley@gmail.com>
Date:   Thu May 30 13:40:22 2013 +1200

    Renamed newly added file and added copyright
    
    Renamed Exception.cs to ExceptionTests.cs and added copyright notice to
    the top of the file

commit 0a75dce32d26788a403844b9af221f3100d7dd0d
Author: davidrowley <dgrowley@gmail.com>
Date:   Thu May 30 06:47:00 2013 +1200

    Fixed wrong assumptions about new Exception Tests
    
    After reading the source code of PostgreSQL9.3, it seem that only
    certain errors relating to domain types will populate the DataTypeName
    field. This commit adds 2 new tests. 1 to test for the column name, as
    the previous uniqueviolation did not show the column name which unique
    constraint was violated. Perhaps this has to do with the fact that
    unique constraints can exist for >1 column. Test 2 checks the
    datatypename after a domain's NOT NULL constraint is violated.
    
    I've not yet run the tests. Though I did compare after setting psql \set
    VERBOSITY verbose

commit 99c48ead03fa976720d38722479283e82e6a6389
Author: davidrowley <dgrowley@gmail.com>
Date:   Wed May 29 14:57:59 2013 +1200

    Adds new test for newly added exception fields
    
    This code is untested as I've not yet worked out how to run the test
    suit.
    The constant values in the Assert.AreEqual() calls may need tweaked.
    The prime purpose of the patch is to test that the fields are properly
    being populated. There is no need to also test things like foreign key
    violation as its testing the same code in Npgsql.

commit d411ab516516fcefe63fb2d4f8f5827deca35eb3
Author: davidrowley <dgrowley@gmail.com>
Date:   Wed May 29 13:25:56 2013 +1200

    Add support for new error fields added in PostgreSQL 9.3
    
    This makes the new error information available in the Exception class
    which allows the calling code to, for example see which constraint would
    be violated by the request.
    See PostgreSQL commit message for more details on what extra information
    is available and when. This commit only captures the extra information
    when it's there.
    
    http://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=991f3e5ab3f8196d18d5b313c81a5f744f3baaea

commit 8780b65d9a20d47078e4a1605f34e9db98c2ac8a
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Thu May 30 12:00:27 2013 -0300

    Added [Ignore] to some tests which weren't working. Thanks Shay for
    feedback. See Pull Request 18.
    
    A lot of tests were not working and based on Shay's feedback
    https://github.com/franciscojunior/Npgsql2/pull/18 those [Ignore] flags
    were added in order to get all tests green. Those failing tests were
    giving us trouble to identify regressions.

commit 2991fc6dcd284c8ba2aee21dd7766c1fd329c26d
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Fri May 24 23:01:49 2013 -0300

    Changed NAnt build file to use App.config when running nunit tests. Also
    removed a trailing semicolon from the tests settings which was causing
    problems.
    
    By making NAnt use App.config file, Npgsql tests run either by NAnt
    console project file or by running nunit inside IDE (like Xaramrin
    Studio) will use the same file and changes will be reflected in both.
    Before that NAnt was using different files.
    
    A trailing semicolon in the app settings config for connection string
    was making Npgsql throw exceptions about bad formatting.

commit 3b921ae5671612ec27e0a442c45f43195a169f43
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Thu May 23 10:26:38 2013 -0300

    Fixed tests when running under mono.
    
    All transaction related tests were failing under Mono. A
    NotImplementedException was being raised. Now, those exceptions are
    catch and ignored so tests don't return errors.

commit 52952e1dc47b215fb24b0e04c25824c9fce69702
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Thu May 23 00:13:02 2013 -0300

    Fixed connection tests so they don't start to raise errors about
    too many used connections.
    
    Postgresql has a limit of max connections allowed. This fix keeps the
    connection usage inside the max value of connections in the pool which
    is 20. This way tests won't start raising errors about too many used
    connections

commit 1c561096d884047e07febe0d9d5ae3887deeed03
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon May 20 11:11:20 2013 -0300

    Fixed nunit assembly paths of NunitTests2010 project.

commit 52a6e1978d394fcc4b3302141dcc6e22ba47c122
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon May 13 20:56:49 2013 -0300

    Added conditional #ifdef ENTITIES to nunit tests related to EF. See
    https://github.com/franciscojunior/Npgsql2/pull/6 for more information.

commit c94a45b19de14e7fe0aa5afbf234e2c4ebcf54a4
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon May 13 20:49:53 2013 -0300

    Fixed more Monodevelop configurations mismatch. Mono-Debug, Release and
    Mono-Release. Last fix was only for Debug

commit 488d387c2b523f7cca331851b7a89a646870c3ce
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon May 13 14:59:35 2013 -0300

    Added some paths created by VS.Net to be ignored

commit 6eb3dc29d0cd706c04fc6b8ef42942aede622fc4
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon May 13 14:48:54 2013 -0300

    Fixed configuration mapping between solution file and project files on Monodevelop.
    
    Monodevelop was complaining about configurations mismatch. I redid the configuration matching and everything was ok again.

commit 3c415a7ab32dc4021e8397d156ec881e79e09925
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon May 13 14:42:15 2013 -0300

    Changed project settings to compile a library instead of executable.

commit 20fd444bc9df6f0f91aefa07802d1ec56a6d93ec
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon May 13 14:38:49 2013 -0300

    Merged https://github.com/franciscojunior/Npgsql2/pull/6 from roji.
    
    Pull origin: https://github.com/roji/Npgsql2.git branch xbuild
    
    Original commit message:
    
    Added Mono-Debug and Mono-Release msbuild configuration for use with xbuild
    
    Appears to build just fine! I also tried to muck around with MonoDevelop but it has some trouble with the EmbeddedResources, will try to take a look (less important). This could be a first step for getting rid of both the NAnt and the mdp/mds...
    
    Note that the unit test project doesn't build on Windows, seems like these need to be cleaned up
    : error CS2001: Source file xmlModel/XmlTest.ObjectLayer.cs' could not be found
    : error CS2001: Source filexmlModel/XmlTest.Views.cs' could not be found

commit 06c3aca239ce16388c6b78b3380832e3c733ee2c
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Mon May 13 11:29:52 2013 -0300

    Removed a line with a GUID value which was causing problems to be open by Monodevelop.
    
    More info about this problem can be found at: https://github.com/mono/monodevelop/pull/232

commit 3072ed30ec47ca56f473fce42694e5da04a769d8
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Sat May 11 14:13:23 2013 -0300

    Added Monodevelop per user  settings file to list of ignored files.

commit 62afedfd2fe4e5986493270ae817601735243409
Author: Francisco Figueiredo Jr <francisco@npgsql.org>
Date:   Thu May 9 10:53:25 2013 -0300

    Added ignored files.

commit 689e9ceeb10bd08b89acc2f32873daf3d7f21a9d
Merge: 3eb3685 59c4735
Author: Francisco Figueiredo Jr. <francisco@npgsql.org>
Date:   Wed May 8 08:19:12 2013 -0700

    Merge pull request #17 from roji/bug1011001
    
    [#1011001] More consistent key/value parsing in NpgsqlConnectionStringBuilder.

commit 3eb36852c7091b610e5b2dfc3b82d73a0db2c668
Merge: f3eb384 bc6c3cf
Author: Francisco Figueiredo Jr. <francisco@npgsql.org>
Date:   Wed May 8 07:21:37 2013 -0700

    Merge pull request #16 from roji/decouple_pool
    
    Refactored pool/connection + pool timer on demand

commit 59c4735879702cb3f52f0e81ad906bc917fcccc0
Author: Shay Rojansky <roji@roji.org>
Date:   Sat Apr 13 17:47:28 2013 +0300

    More consistent key/value parsing in NpgsqlConnectionStringBuilder
    
    .NET's DbConnectionStringBuilder, which NpgsqlConnectionStringBuilder extends,
    trims strings values and discards pairs with empty ones. However, NCSB's setter
    behaved differently, adding empty strings, leading to inconsistent behavior
    (bug #1011001).
    
    Modified NCSB's behavior to be consistent with DCSB - trim and discard empty.

commit 2d130517a32288e9979ec0394a72da12a7ad3dd5
Author: Shay Rojansky <roji@roji.org>
Date:   Sat Apr 13 17:11:21 2013 +0300

    Indentation and empty newlines in StringBuilder

commit bc6c3cf2646838bd2c0dfb22bb4d8c77689d427d
Author: Shay Rojansky <roji@roji.org>
Date:   Fri Apr 12 17:30:32 2013 +0300

    Refactored pool/connection + pool timer on demand
    
    - Allocating of non-pooling connections was being done
      in NpgsqlConnection, moved that code to NpsqlConnection.
    - Since the pool's timer was being started statically,
      opening a non-pooling connection would start the pool's timer
      (bug #1011326).
    - The pool's timer is now started on the demand, when a pooled
      connection is first requested. When no more connections remain,
      the timer is stopped.

commit f3eb38492b3bdcc08858e09c0968a6dccd46815e
Author: fxjr <>
Date:   Fri Apr 5 13:19:41 2013 +0000

    Added tests for BitString based on bug [#1011321] Wrong BitString value.

commit 557fccd2d94e9f2baa45dce6ea7b1f724cc10eed
Author: fxjr <>
Date:   Fri Apr 5 13:09:43 2013 +0000

    [#1011321] Wrong BitString value. Thanks Jon Hanna for patch and support.
    
    Jon Hanna also fixed another problem with the constructor of BitString which wasn't handling a case where the number of bits allocated were being rounded up to the nearest multiple of 32. So, to represent 35 bits, BitString was allocating 64. Thanks Jon for this fix.

commit ead830bd431ba5da9ecebf38f2d98c7db2c3348e
Author: fxjr <>
Date:   Sun Mar 31 16:33:08 2013 +0000

    [#1011325] Escaped strings don't work with EF. Thanks  Andrey Polyakov for patch and tests.
    
    Npgsql had a problem when hadling strings with escaped strings. This patch adds the proper syntax in order for this to work correctly. Check https://github.com/franciscojunior/Npgsql2/pull/10 for more info about this fix.

commit fae7f2ca4532ca68f4ed1336d25880798e48c0fd
Author: fxjr <>
Date:   Sat Mar 23 16:08:03 2013 +0000

    Implements DateTime canonical functions for EntityFramework. Thanks Andrey Polyakov for patch.
    
    See https://github.com/franciscojunior/Npgsql2/pull/10 and https://github.com/magnitudo/Npgsql2/commit/b922eee2839e9cf2ae33f5241e0d8721bb4a9113 for more information.

commit 4dd1a9b7397ef47c96c4b790aa0a9f663a5ff9e8
Author: fxjr <>
Date:   Sun Mar 10 17:34:46 2013 +0000

    Changed variable name as per patch request.

commit d999e45e4376877494f9c7687430924195280f04
Author: fxjr <>
Date:   Sun Mar 10 17:31:05 2013 +0000

    [#1011136]
    [#1011302]
    Applied patch [#1011316] ConnectionTimeout fix, bypass the 2147 seconds limit of Socket.Poll method. Thanks Tasos Mamaloukos for patch.
    
    Npgsql wouldn't allow a timeout higher than 2147 seconds. This patch fixes this limitation.

commit 5d5e42bb1a68ab993ca0a43c81e5fcd79f82ab64
Author: fxjr <>
Date:   Wed Feb 27 13:06:29 2013 +0000

    [#1011310] Command timeouts after the first are not handled. Applied patch [#1011311]. Thank you, Evan Martin, for bug report and patch!
    
    When a command inside a transaction times out the caller may roll back to a savepoint and try again. This works OK the first time. The second time it appears to work, but the rollback takes a long time. On the third attempt the command returns an empty result set. The attached console app reproduces the problem. On investigation, it appears that Npgsql is not cancelling any command after the first, once NpgsqlConnector.CancelRequestCalled is true.

commit ade62ad43e846fc15d1b5eda51460d496fd9e9b9
Author: fxjr <>
Date:   Sat Feb 16 21:40:15 2013 +0000

    Applied Shay Rojansky patch. [#1011305] Scope without prepared transactions. Check https://github.com/franciscojunior/Npgsql2/pull/8 for more info.

commit 78ec5ebcf03c7d5572ad2a411eaa594152f2ffc9
Author: fxjr <>
Date:   Sun Nov 18 14:23:45 2012 +0000

    Fixed possible datareader leak if the test fail. The datareader wouldn't be closed until it was collected.

commit c99438a7e6434cce191c7475057a7b615a1a8b2c
Author: fxjr <>
Date:   Sat Nov 10 00:17:28 2012 +0000

    [#1011271] NpgsqlSchema: Use InvariantCulture on all return DataTables with schema data.
    Thanks Oskar Berggren for patch. Also check https://github.com/franciscojunior/Npgsql2/pull/1 for the patch.

commit 94e64258f882173351975ae92eb068dca5c92582
Author: fxjr <>
Date:   Sun Nov 4 23:09:33 2012 +0000

    Fixed test data insertion and function creation script. Thanks Shay Rojansky for patches. See https://github.com/franciscojunior/Npgsql2/pull/7 for more information.

commit 142afd74f41f719b54d7e4e54a775e3b2ef17a92
Author: fxjr <>
Date:   Fri Sep 14 03:20:59 2012 +0000

    Fixed connection leaks.

commit bb771a0c6ba86598c13e3973c4507474030a40af
Author: fxjr <>
Date:   Fri Sep 14 03:18:46 2012 +0000

    Fixed more connection leaks in the tests.

commit 1f672d3c87eef117acbab3aec589ffba605d478b
Author: fxjr <>
Date:   Fri Sep 14 02:36:16 2012 +0000

    Fixed more connection leaks in the tests.
    
    Added some more tests.

commit 1a6bd466a47fb179e548181621f54aff4471c572
Author: fxjr <>
Date:   Fri Sep 14 02:07:30 2012 +0000

    Fixed some connection leaking tests.
    
    Added more datatype tests.

commit 3d476eb8b7496e04d5c82c748d0d49cac42918a1
Author: fxjr <>
Date:   Mon Sep 3 01:28:05 2012 +0000

    Updated for Npgsql 2.0.12 final release

commit ceac429e807a51449b1ec77f2cef7cb6afe0c6ae
Author: jbcooley <>
Date:   Mon Sep 3 01:17:49 2012 +0000

    Updated for build 2.0.12.0

commit acd35460225fb311f1af8be3d9c747ba2c9b4859
Author: fxjr <>
Date:   Mon Sep 3 01:10:31 2012 +0000

    Updated to final 2.0.12 build

commit 3693700ed4119928e5d1fa0c4eba8689b6ca599e
Author: fxjr <>
Date:   Tue Aug 7 18:36:37 2012 +0000

    [#1011215] AddString in NpgsqlCopySerializer.cs crashes with \ in string. Thanks Jelmer Baas for patch and Panda Răzvan for testing.

commit 09854b3231a849109c0c58da9fbb872a897cade1
Author: fxjr <>
Date:   Sat Jul 7 02:44:32 2012 +0000

    release notes for .94 release.

commit 57e2f1d67c33cef4d57f6cf5e474e3090a95acbf
Author: fxjr <>
Date:   Sat Jul 7 02:33:45 2012 +0000

    Added changes for .94 release

commit 4456c9140d71e34e531231af435291937a5c3eb2
Author: fxjr <>
Date:   Sat Jul 7 02:28:01 2012 +0000

    Changed file for .94 beta release.

commit bef4139dfb0e51e9125db651b90ca3b661f884a9
Author: jbcooley <>
Date:   Sat Jul 7 02:20:45 2012 +0000

    Updated for build 2.0.11.94

commit df70bd608939bf78b788bf47916d83e0157aedb3
Author: jbcooley <>
Date:   Sat Jul 7 02:10:50 2012 +0000

    Fix Include combined with Skip and/or Take using linq to entities for bug #1011208

commit 2076f57e03257c033a1ee2c7901fd1be4df5be47
Author: fxjr <>
Date:   Wed Jun 6 14:25:20 2012 +0000

    [#1011200] Uses API not supported in MonoTouch. Also fixes https://bugzilla.xamarin.com/show_bug.cgi?id=4992 Npgsql2.0.11 Is not working on MonoTouch. Thanks Sebastien for heads up and all others for helping with this issue.

commit f071d20adc48e2c1557775a02d4fb5f4f2c3a58e
Author: fxjr <>
Date:   Fri Mar 23 12:45:45 2012 +0000

    [#1011161] Bug in NpgsqlCommand while getting readers from refcursors. Thanks Rabin Karki for heads up and patch.

commit 964635bcb426b094beab3c79c605183a554e4187
Author: fxjr <>
Date:   Mon Mar 12 01:59:07 2012 +0000

    [#1011174] Requesting the REPEATABLE READ isolation level gives you SERIALIZABLE.
    Thanks Randy Ficker for heads up and patch.
    
    Npgsql wasn't honoring the repeatable read isolation level request. This used to work until 9.1 version.

commit 67f3c36aaba591c77ea8317f41ab5c00b50dd060
Author: jbcooley <>
Date:   Wed Feb 22 02:40:52 2012 +0000

    Updated to Npgsql 2.0.12 beta 3 (2.0.11.93) release.

commit 8259432a4f0fb1c6d9a236115768eec9921ff3c7
Author: fxjr <>
Date:   Wed Feb 22 02:39:04 2012 +0000

    Updated to Npgsql 2.0.12 beta 3 (2.0.11.93) release.

commit b3cedafa977c96e2258046fedd0a7e9b7d859f67
Author: fxjr <>
Date:   Wed Feb 22 02:00:51 2012 +0000

    Updated to 2.0.12 beta3 release (2.0.11.93)

commit 0c6258c020644b36de4284713319537af0532b35
Author: fxjr <>
Date:   Wed Feb 22 01:49:49 2012 +0000

    Added release notes for 2.0.12 beta3 (2.0.11.93)

commit 71904437769d35b30d0a0d1e01f80b64a1fec7fa
Author: jbcooley <>
Date:   Wed Feb 22 01:21:53 2012 +0000

    adding helper script for building policy dll.

commit a5107dda72f16ebb2281155f8aa8bf11fe1e7390
Author: fxjr <>
Date:   Thu Feb 2 13:46:13 2012 +0000

    Applied patch #1011157. Fixes bug #1011102 - DateTimeOffset/TimeSpan mapping problem on EF 4.1, .NET 4, using code first.
    Thanks Mirko Geffken for patch.

commit 1d24f546a2aa40a82f3afc41e54b133a1e601af7
Author: fxjr <>
Date:   Thu Jan 12 18:44:59 2012 +0000

    Applied Gildas Prime patch with Gendarme report corrections:
    
    Avoid concatenating chars rule ( i.e Unneeded boxing)
    A recursive method was found (Method remove in NpgsqlParameterCollection)
    Disposable fields should be disposed
    Do not lock on this  ( lock(this) makes very difficult to ensure that the locking is done correctly.)
    Ensure that local variables are disposed surrounding them by using()

commit 17d1712db8a3fc71364ed1f64ab54d1f1a882c49
Author: fxjr <>
Date:   Tue Jan 10 03:14:06 2012 +0000

    Fixed tabulation.

commit d02d753ba8c5eec6f57b7ae1b1d8c1b186fb3c1f
Author: fxjr <>
Date:   Mon Jan 9 14:48:02 2012 +0000

    Fix [#1011138] Connection pooling performance suffers under heavy load.
    Rewritten connector pool logic in order to keep lock for much less time and also with a higher granularity.
    Thanks Andrew for heads up.

commit 516355237d71eed3eb022b365dc1a8d2e925e717
Author: fxjr <>
Date:   Thu Dec 22 15:08:00 2011 +0000

    Fixed line endings.

commit a915ab71a20e2ae1bf731586958a4e548155aea7
Author: fxjr <>
Date:   Sat Dec 17 02:42:25 2011 +0000

    Fixed line endings.

commit e9bba4ac8ee1ad00592b6a6ab9d512aa1b6f6365
Author: fxjr <>
Date:   Sat Dec 17 02:36:17 2011 +0000

    Fixed bug [#1011101] LINQ to entities timestamptz does not accept DateTimeOffset or DateTime. Thanks Misha Sugakov for patch and testing.

commit fc6440ca5fe490bff451aecd1c5f58b7bd9c0e4a
Author: fxjr <>
Date:   Sat Dec 17 02:01:06 2011 +0000

    Added testcase for bug #1011100

commit c9dace8948c3ad1d9cd974c40a1f0f63657c0ebf
Author: fxjr <>
Date:   Sat Dec 17 02:00:21 2011 +0000

    Fixed line endings.

commit 2e4fcad71f767164b78c5903a3e5aa696dbc878e
Author: fxjr <>
Date:   Sat Dec 17 01:58:38 2011 +0000

    Fixed a test which were leaking a datareader open.
    
    Added bug tests
    
    Added initial massive datatype testcase.

commit 64be82da4a78eb8565f8e0574369ac274ae0698b
Author: fxjr <>
Date:   Tue Dec 13 19:42:33 2011 +0000

    Fixed line endings.

commit 9121ee8644e01aba4f986fdf26936e481b198308
Author: fxjr <>
Date:   Mon Dec 12 16:27:35 2011 +0000

    Fixed line endings.

commit 626d22c820c7e7f67805c153d210598d6722e900
Author: fxjr <>
Date:   Fri Dec 9 21:29:13 2011 +0000

    Fix [#1011100] NpgsqlParameter and DBNull Value. Now NpgsqlParameter changes the dbtype accordingly to the value assigned to it unless the dbtype has been assigned explicitly.

commit 1753fad98bf70cd034e659a6a791b6e100972ac1
Author: fxjr <>
Date:   Fri Dec 9 21:14:25 2011 +0000

    Fixed line endings.

commit 99431df4a4d7aa21648c6c41e0eae39331d4160e
Author: fxjr <>
Date:   Fri Dec 9 21:13:08 2011 +0000

    Removed NpgsqlConnector finalizer call. Now connection close handling in the worst case is done by the NpgsqlNetworkStream which takes care of sending the proper Postgresql message when disposing the underlying socket.

commit 2d3bceaad2fef6a10078eee330b81e12958df1cc
Author: fxjr <>
Date:   Mon Dec 5 02:00:56 2011 +0000

    Fixed "LOG: unexpected EOF on client connection" messages appearing in postgresql log. See http://fxjr.blogspot.com/2011/12/fixed-log-unexpected-eof-on-client.html for more information.

commit 10569a2b4c23d68373e290b6e3c9373368599d33
Author: fxjr <>
Date:   Wed Nov 30 14:19:04 2011 +0000

    Removed assembly info creation from build process. There are now some options in the assemblyinfo which I couldn't create yet. For while, it is hardcoded again.

commit 59d9acaf455452e0cacc6a2d8a4d56acb60942dc
Author: fxjr <>
Date:   Tue Nov 29 03:35:15 2011 +0000

    Normalized line endings...

commit 2f10971d57ae85981f9859791b971f9ac1934315
Author: fxjr <>
Date:   Tue Nov 29 03:25:06 2011 +0000

    Normalized line endings....

commit 49f00023a122ed18a029946d25bfff0aee1cd524
Author: fxjr <>
Date:   Mon Nov 21 02:44:52 2011 +0000

    Fixed Bug1010788UpdateRowSource testcase.

commit 397af45d7722dcbae2df9371050104832cfe969f
Author: fxjr <>
Date:   Mon Nov 21 02:04:31 2011 +0000

    Fixed some encoding problems detected by Monodevelop.

commit 6a524d579d37271d70629ff59391a3f38d1b1fb7
Author: fxjr <>
Date:   Sat Nov 19 04:11:56 2011 +0000

    Removed erroneous line added by mistake.
    Fixed warning with NpgsqlParameters.Add method. Used AddWithValue.

commit ca3d9c5460425faddd41433b8f085ae2b893683e
Author: fxjr <>
Date:   Sat Nov 19 03:43:33 2011 +0000

    Fixed problem with file encoding.

commit 187f22f6038658b3ffcd3ffad7ba66929423357c
Author: fxjr <>
Date:   Sat Nov 19 03:03:50 2011 +0000

    Fix: [#1010992] System.Double to DOUBLE PRECISION conversion bug. Thanks Udo Liess for excellent report, test case and fix.

commit bbdcf1ac8831f1212c1bd0cd5c8d6502475ff67f
Author: fxjr <>
Date:   Thu Sep 29 01:55:56 2011 +0000

    Updated release notes for beta 2 release.

commit 806df6a320ec2627700c768d49a601f745c907e9
Author: jbcooley <>
Date:   Thu Sep 29 01:33:41 2011 +0000

    Updated for build 2.0.11.92

commit fb118809aca20cc63b8cb0db58723c294f868d72
Author: jbcooley <>
Date:   Thu Sep 29 01:26:59 2011 +0000

    Updated for build 2.0.11.92

commit 3a1da4f50e89e3a26023517bcb22fe6075945eb5
Author: jbcooley <>
Date:   Thu Sep 29 01:21:04 2011 +0000

    Updated for build 2.0.11.92

commit 8a4ea62ab5e942db53bf17ef1910bda252d15b4a
Author: jbcooley <>
Date:   Sun Sep 25 16:48:30 2011 +0000

    Added XmlTest entity model

commit 011d9f2c7dc5788e442fb7c80b535f1d1c67c0d0
Author: fxjr <>
Date:   Mon Jul 11 13:33:20 2011 +0000

    Added patch from Patrick Earl. Thanks, Patrick! http://pgfoundry.org/forum/message.php?msg_id=1014749
    
    This was implemented to support more of the NHibernate test suite. Here is what it does and does not do:
    
    1. It adds support for the "ForeignKeys" collection that uses almost the same format that SqlConnection Server does. The only difference is the deferrable bool columns are actually bools instead of strings.
    
    2. It fixes the restrictions for index and index column schema retrieval.
    
    3. It does not change the index column code to provide the capability of getting the foreign key columns (assuming it doesn't do it already). I didn't have a failing test depending on this, so I didn't check or implement anything here.
    
    http://patearl.net/files/Npgsql2.patch

commit 5d2ddbb9787221a3b4c3d5a23b93ba6457209072
Author: fxjr <>
Date:   Tue Jul 5 16:05:55 2011 +0000

    [#1011044]. Fixed missing NpgsqlDataReader.GetTimeSpan() method.
    Added unit test case to cover this method.

commit 791cf1fc5b0ca561f74bb30637c54553fa1e491d
Author: fxjr <>
Date:   Wed Jun 15 16:23:17 2011 +0000

    Fixed problem with last update about Password as byte[]. Reverted type of Password property of NpgsqlConnectionStringBuilder to String again. It was changed from String to byte[] which was causing problems with previous client code. There is a new property called PasswordAsByteArray for those willing to use the byte[] property. Thanks Dan Shoubridge for heads up.

commit 2bb1baf2b54a44bceee2f1e75c4a7d60cb7b4b9c
Author: fxjr <>
Date:   Wed Apr 27 13:10:37 2011 +0000

    New: [#1011021] Support DbMetaDataCollectionNames.ReservedWords. Thanks Patrick Earl for patch.

commit 48588f2f2c0b1fac674e81fbed880c022fa96046
Author: fxjr <>
Date:   Mon Apr 25 02:29:44 2011 +0000

    [ npgsql-Bugs-1011018 ] Invalid Cast with DbType.Time Parameter. Thanks Patrick Earl for patch.
    Also added test case to reproduce the problem.

commit 7b59ecee841ad5e351e64f6218750b1deecd8d6d
Author: fxjr <>
Date:   Thu Apr 7 02:15:21 2011 +0000

    [#1010977] Add application_name support to connection string. Thanks Chris Coleman for patch.

commit 4e086b107b5c36f15cf9bbd6bf5c3a7f5bf6dde5
Author: fxjr <>
Date:   Thu Apr 7 01:48:49 2011 +0000

    [#1011008] Add PhysicalAddress (MAC Address) support to Npgsql. Thanks Gildas for patche and test case.

commit 1b826c538a8586133d6492134c6b0554dbfad979
Author: fxjr <>
Date:   Tue Apr 5 14:13:33 2011 +0000

    [npgsql-Patches-1011012 ] Australian Date and Time Formats. Thanks Hans Peter for patch.

commit 08f40cd1e408a4d60945cb8912c06f6c9c5259cc
Author: fxjr <>
Date:   Fri Mar 25 01:52:42 2011 +0000

    Updated release notes for beta1 release of Npgsql 2.0.12 (2.0.11.91)

commit 87ea886ac7a62df1d21443b68b17b61019dcc0d6
Author: jbcooley <>
Date:   Fri Mar 25 01:50:24 2011 +0000

    updated for 2.0.11.91 beta release

commit 9d400d3e2c456f7700c4e599f0880abcd5625215
Author: jbcooley <>
Date:   Fri Mar 25 01:33:08 2011 +0000

    updated change log.

commit 35f9032b2fef6185534ed7abcf0303469a69c3a4
Author: jbcooley <>
Date:   Fri Mar 25 01:23:28 2011 +0000

    Changed from HashSet to Dictionary so we can build a .NET 2.0 profile version.

commit d1e2c1cf7bc4638ad4002c71f1c41b748340f9c4
Author: fxjr <>
Date:   Fri Mar 25 00:55:25 2011 +0000

    Changed assembly version info to indicate a beta1 version of 2.0.12 (2.0.11.91)
    Added a fix to AllowPartiallyTrustedCallersAttribute when using .net 4.0 framework. See http://weblogs.asp.net/peterblum/archive/2009/11/06/typeloadexception-based-on-security-transparent-code-level-2.aspx for more information.

commit f41aa8993a857683953b5aeca90a2fe65e78c938
Author: fxjr <>
Date:   Fri Mar 25 00:22:39 2011 +0000

    Updated copyright year

commit 181c6153481b83c0a468195a2ed071e4c4d91134
Author: jbcooley <>
Date:   Fri Mar 25 00:15:19 2011 +0000

    Removed 2005 project and solution as no longer supported

commit 99ae5f7b2f746de6710971d61c3d16d6f40286e8
Author: fxjr <>
Date:   Tue Mar 15 01:25:20 2011 +0000

    [#1010997] Consider using System.Threading.Timer instead of System.Timers.Timer
    Thanks Alex A Ermoshenko for feedback, patch and tests.

commit 84b06dc167931a6063acd72b5338e06804e1bd28
Author: fxjr <>
Date:   Tue Mar 15 01:06:20 2011 +0000

    [#1010986] Endless recursion on hanging connection in ProcessBackendResponsesEnum. Thanks Gildas for feedback and tests.
    
    Also added a better check in NpgsqlConnector.IsValid(). Now it generates a random number and checks the select return value to see if everything is ok. Should fix problems where Npgsql was returning connectors in wrong state.

commit 387dba8e3cb489373455281cf1e9e20abac27757
Author: fxjr <>
Date:   Tue Mar 8 15:50:37 2011 +0000

    Fixed problems with SSPI authentication when the password had some non ascii characteres.
    Also, Npgsql supports to authenticate with an user name other than the current logged one.
    Thanks Ahmed Shinwari for tests and patch.
    See http://postgresql.1045698.n5.nabble.com/quot-could-not-accept-SSPI-security-context-quot-td3275102.html and http://lists.pgfoundry.org/pipermail/npgsql-devel/2011-February/001116.html for more info.

commit 4bc0d0220f73bb2a648ca08d23e520207b48a00b
Author: fxjr <>
Date:   Wed Mar 2 00:08:55 2011 +0000

    Added patches for connection leaks in tests. Thanks David Leaer.
    
    Added test for double value support.

commit c7582fcc4dc31b885af08cfb2fbab24c7c7f1979
Author: fxjr <>
Date:   Tue Mar 1 21:09:28 2011 +0000

    In Multi-threaded applications there is a race condition that can occur which will result in a broken connection being re-added to the pool. Thanks David Leaver for patches.
    
    More information here: http://pgfoundry.org/forum/forum.php?thread_id=10067&forum_id=519

commit a2be0b5723dae2180c7794742e2a09ead5372c96
Author: fxjr <>
Date:   Tue Feb 22 01:30:03 2011 +0000

    NpgsqlConnector.CancelRequest leaks Connector. NpgsqlConnector.CancelRequest creates a connector to cancel the running request, but does not close it. More info at: http://pgfoundry.org/forum/forum.php?thread_id=10059&forum_id=519 Thanks David Leaver for patch.

commit 300e61163a89a5144f8555475f5da56fa85cccf9
Author: fxjr <>
Date:   Tue Feb 22 01:17:38 2011 +0000

    Exception when closing connection. If your connection is in the Ready state and the stream is actually broken NpgsqlReadyState.Close will throw an exception when trying to write to the stream. More info can be found at: http://pgfoundry.org/forum/forum.php?thread_id=10066&forum_id=519
    Thanks David Leaver for the patch.

commit 57ec188d1c7c1712282621b66f52c2bf6a06c2e6
Author: fxjr <>
Date:   Sun Feb 6 21:06:05 2011 +0000

    Forget to add mail reference for last commit:
    http://lists.pgfoundry.org/pipermail/npgsql-devel/2011-February/001117.html

commit 5440df47b1fe6d28d0eba38c1ae708ddfafaa424
Author: fxjr <>
Date:   Sun Feb 6 21:00:54 2011 +0000

    Added performance patch to GetKeyName method. Thanks Dan Smith for patch.

commit ff8ca206e8f7d888adfaed7e733222b9eb0b165e
Author: fxjr <>
Date:   Fri Jan 28 19:04:50 2011 +0000

    [#1010973] specified cast is invalid - datetime fields. In order to fix this bug I had to disable some code in NpgsqlCommandBuilder. Watch out for possible side effects.
    
    Also changed Get***Command to reuse the version which takes a parameter.

commit 91436ba68c48df60365a2fe47b2e6d32302ebc65
Author: fxjr <>
Date:   Thu Dec 16 12:34:56 2010 +0000

    Fixed: [#1010951] AllowPartiallyTrustedCallers for npgsql assemblies.
    Updated AssemblyInfo.cs to include the fix above and to update assembly version.

commit 33767fd300de91c335eec01875104a0660ed66c6
Author: fxjr <>
Date:   Sat Nov 6 00:42:23 2010 +0000

    Updated changelog to 2.0.11 release

commit 25930c9535f845d6fe55bcffd9a623fca83cd5eb
Author: fxjr <>
Date:   Sat Nov 6 00:33:30 2010 +0000

    Updated release notes for 2.0.11 release.

commit e4c4db86fbcaf43b07e724680006111c830410ad
Author: fxjr <>
Date:   Sat Nov 6 00:26:05 2010 +0000

    Updated AssemblyInfo for 2.0.11.0 release.

commit 364aeb53e3941671ab45ed2261aaaeb6dd858149
Author: jbcooley <>
Date:   Sat Nov 6 00:25:30 2010 +0000

    Updating for new release

commit 13bdbf32ac4f7f8e0165d20c47e5ce25e0cc607c
Author: fxjr <>
Date:   Sun Oct 24 19:32:58 2010 +0000

    [#1010921] Data corrupted transferring bytea data from PostgreSQL 9 server. Thanks Mathieu Fenniak for patch. See http://pgfoundry.org/pipermail/npgsql-devel/2010-January/001057.html

commit bcb15efcda6268eb5ff961634cc2ddf2ba6b1293
Author: jbcooley <>
Date:   Mon Oct 18 02:47:44 2010 +0000

    Bug #1010650 - support metadata for indexes.

commit d3de0e2781f54fa0ee8d960051ab1a954586de42
Author: fxjr <>
Date:   Wed Aug 18 03:19:58 2010 +0000

    Added fix to return CLR type when working with NpgsqlInet and IPAddress types in NpgsqlDataReader.GetValue(). See http://pgfoundry.org/forum/message.php?msg_id=1006360 for more info about that.
    Also, changed implicit operator to explicit operator because it throws exceptiomn. Documentation says implicit operators shouldn't throw exceptions.

commit 2ad4680ec14a0d3dee20c38f2bcaf37a69b17d7b
Author: jbcooley <>
Date:   Mon Aug 9 02:22:31 2010 +0000

    Fixes for SQL generation bugs reported in #1010863 and #1010860

commit 7697a4c8cef41dbb63f9172a1888a060153a97c9
Author: fxjr <>
Date:   Sun Aug 1 20:52:27 2010 +0000

    Updated Changelog to 2.0.10 release.

commit e3242b24fd9a339be40b80f945edf60bfdf90e18
Author: fxjr <>
Date:   Sun Aug 1 20:47:06 2010 +0000

    Added release notes for 2.0.10 release.

commit 1f7b12c79a42f955cc12ea6310c105246a53981f
Author: jbcooley <>
Date:   Sun Aug 1 20:41:28 2010 +0000

    target policy file for redirect to 2.0.10.

commit f45b972f2165cba6a190611a9d818dcdefa61509
Author: jbcooley <>
Date:   Sun Aug 1 20:41:05 2010 +0000

    Added NET40 define so the .NET 4.0 code gets compiled in.

commit 1665af23f29192da3b104ff1ba4c033b467d885b
Author: fxjr <>
Date:   Sun Aug 1 20:24:11 2010 +0000

    Updated AssemblyInfo generated info for 2.0.10.0

commit c14000734d9163e6da1caec59bc75424cceb4529
Author: fxjr <>
Date:   Sun Jul 18 23:51:49 2010 +0000

    Added UInt16 type mapping.

commit 46a9698eb0947f611f6ae487cc3980d664a733ce
Author: fxjr <>
Date:   Sat Jul 10 03:42:01 2010 +0000

    Fixed more bugs about ResetDbType() and null values. Now, Npgsql is a little bit more conformant to sqlclient.

commit 9504fd142a871595cb66c331327b33fd939607ff
Author: fxjr <>
Date:   Sat Jul 10 03:17:24 2010 +0000

    Fixed bug where Npgsql was returning DBNull for a fresh NpgsqlParameter. According to tests based on sqlclient, Npgsql should return null.

commit 65dc4554c2cd90d0ee8772ea8873153f4e677de8
Author: jbcooley <>
Date:   Sat Jul 10 03:01:15 2010 +0000

    Fix an additional broken tests

commit 33e38e8bb08748fa2ebd97d0231ff25f5b8e2475
Author: jbcooley <>
Date:   Sat Jul 10 02:52:26 2010 +0000

    Fix some of the broken tests

commit 80d6bbc32fd4ade19fbc8d8704eba2a138a10904
Author: jbcooley <>
Date:   Sat Jul 10 02:47:23 2010 +0000

    Ported more tests.  Test validation still needs to be done.

commit 38ff673af80019fef163133587a5e387a7a36984
Author: jbcooley <>
Date:   Sat Jul 10 02:13:16 2010 +0000

    Update and include tests for NpgsqlValue in NpgsqlParameter

commit a36533b01d1bd472c80c56f28f628fe89e9b08d7
Author: jbcooley <>
Date:   Sat Jul 10 01:46:20 2010 +0000

    Fix build for .NET 2.0

commit a65696665d2e169eefb874863315f7a41efd3674
Author: fxjr <>
Date:   Sat Jul 10 01:34:35 2010 +0000

    [#1010798] Cast-Exception with NpgsqlTimeStamp to System.DateTime. Fixed.
    Also fixed another problem where Npgsql was mapping DbType.DateTime to NpgsqlDbType.TimestampTZ.

commit cf7ba5b2aff1dd417c5b285a043e4be018292717
Author: jbcooley <>
Date:   Fri Jun 25 01:38:01 2010 +0000

    Support for Time types and DateTimeOffset types in Entity Framework

commit 2871a3bbd86fd3a07cf5d481109a56912f8babce
Author: jbcooley <>
Date:   Fri Jun 25 01:27:34 2010 +0000

    changes to be compatible with various versions of mono's implementation of DbDataAdapter.

commit 61d0d3c202ff750f779a2ae387adff60a9a43839
Author: fxjr <>
Date:   Thu Jun 24 05:00:42 2010 +0000

    [#1010787] Inserting an array does not work in a prepared statement. Fixed. Changed delegator definition responsible to handle conversion from CLR type to server to take a ForExtendedQuery parameter so the function can handle correctly when to return a plain query representation or when return a representation used for extended query. Until now, the types were simple and representation was the same. This changes with array handling where the representation is different for each case. Added testcase too. More testcases needed.

commit fc5b43a8d1952e62f679ac2249038dfff0e4dc2a
Author: jbcooley <>
Date:   Thu Jun 17 01:50:00 2010 +0000

    Cleanup extra lines and newline format.

commit d61bb0f9f0f8186e14bf0f19c5c4780f58c1380a
Author: fxjr <>
Date:   Sun Jun 13 20:09:05 2010 +0000

    [#1010776] for a prepared command, ExecuteNonQuery() does not return. Npgsql wasn't handling correctly errors while in extended query processing. Now it returned correctly and throws exceptions.

commit 68f7c08633edcd8d91db09eef14984117147bf90
Author: jbcooley <>
Date:   Tue Jun 1 02:02:32 2010 +0000

    cleaned up UpdatedRowSource code and added value validation rather than type validation.

commit 66e14c76b056083e440d81d814732e0c9a543061
Author: jbcooley <>
Date:   Tue Jun 1 01:59:31 2010 +0000

    provide default value during model generation

commit 56f39ba7ea310eebd21f1afd0af84ec6ad7668ed
Author: jbcooley <>
Date:   Tue Jun 1 00:30:12 2010 +0000

    support null items in arrays

commit 58f7d191db52ba3622f5682648846274e46908e0
Author: jbcooley <>
Date:   Tue Jun 1 00:27:24 2010 +0000

    bug #1010825 - support derive parameters for parameterless functions

commit 9db3258a0c9c80919c1e06f6a1341c56529288bf
Author: jbcooley <>
Date:   Mon May 31 21:27:22 2010 +0000

    bug #1010768 - test for Mono regression

commit b1d642f3d83cf4f072075210fd9aa287ad916014
Author: jbcooley <>
Date:   Mon May 31 21:00:41 2010 +0000

    bug #1010829 - Fix support for CommandBehavior.SequentialAccess with multiple columns.

commit cea3d74796e90fd42e5516f11e0d526fb300c836
Author: jbcooley <>
Date:   Sun May 30 14:28:15 2010 +0000

    Fix multi-level join generated sql

commit d1b4d00d82cada2784d589ffe9449882f50f4735
Author: jbcooley <>
Date:   Sat May 29 15:36:08 2010 +0000

    Mono unit tests for SqlClient partially ported to Npgsql.

commit 856103159c4f75a48171d7e742065e8d638ee22b
Author: fxjr <>
Date:   Sun May 23 18:13:01 2010 +0000

    Reverted back previous optimization with Int32 and Int16 readbuffers. They were having concurrency problems. Thanks Matthew Gabeler-Lee for heads up and testing.

commit aa8c2bdfd8dba7046da0094c2c3cd13d860e627d
Author: fxjr <>
Date:   Fri May 14 14:18:13 2010 +0000

    Added missing tests for bug 1010788 and array handling of doubles. Prepared statements with array of doubles still hang. Needs fixing.

commit 3a79625bfef6a82411432b838bed8aec1494507c
Author: fxjr <>
Date:   Tue May 11 01:42:01 2010 +0000

    Changed line endings to Windows Format.

commit 29e60b1ad6aa4801586be23518ef7ee0779a8d3d
Author: fxjr <>
Date:   Sun May 9 23:53:48 2010 +0000

    [#1010804] Endless loop in BitString? Thanks Gildas for testing and fix.

commit 4368b030eef5a209b43ba54ebef273c208e86ed0
Author: jbcooley <>
Date:   Mon May 3 02:38:21 2010 +0000

    Support full Npgsql parameter types when building parameters (this specifically fixed arrays). help msg 1006026.

commit c930fa4d9702f9f4fc30c8bc3d03bb72c6f3b983
Author: fxjr <>
Date:   Sun May 2 15:31:41 2010 +0000

    [#1010796] Notification thread not released after copy from stdin. Thanks Stelian Dumitrascu (stelian @nospam@ geocentral.net) for patch and Gildas (prime.gildas @nospam@ gmail.com) for testing. I also added this patch to Cancel method which may suffer from the same problem.

commit faaa11d5c96ec1018968d53da85f128680156587
Author: jbcooley <>
Date:   Thu Apr 15 03:18:10 2010 +0000

    vs 2010 rtm

commit be288a07b42823ea44852a02cf2ab89495752549
Author: jbcooley <>
Date:   Thu Apr 15 03:13:34 2010 +0000

    updated for build 2.0.9

commit 08bf2fc97e4440baa2249913107a401b387088ed
Author: fxjr <>
Date:   Tue Apr 13 23:18:22 2010 +0000

    Updated to 2.0.9 release

commit 531662b2c77e58577ed5d1ef68150942c515294a
Author: fxjr <>
Date:   Tue Apr 13 23:17:56 2010 +0000

    Update to 2.0.9 release

commit 48c57f587a651227423875bbabd42af5d90fc6ac
Author: fxjr <>
Date:   Tue Apr 13 23:11:50 2010 +0000

    Updated AssemblyInfo file with generated information.

commit c92e530bd81b18793ec503bf7fddaf7ad5bb968f
Author: fxjr <>
Date:   Sat Apr 10 17:39:17 2010 +0000

    [#1010788] NpgsqlCommand and UpdatedRowSource property.
    Now NpgsqlCommands created through NpgsqlCommandBuilder will have by default UpdatedRowSource property as UpdateRowSource.None.

commit 71a00bd7d7c204ed45b1cebba0f4047bc35ba336
Author: fxjr <>
Date:   Sat Apr 10 17:29:16 2010 +0000

    [ npgsql-Bugs-1010788 ] NpgsqlCommand and UpdatedRowSource property. Now NpgsqlCommands created through NpgsqlCommandBuilder will have by default UpdatedRowSource property as UpdateRowSource.None.

commit 303091cfb311e3bff4617c24ed43e37119f8eae0
Author: fxjr <>
Date:   Tue Apr 6 04:02:10 2010 +0000

    [#1010779] Respect CommandTimeout in first function call w/ string parameter. Patch applied. Thanks Noah Misch (noah.misch @nospam@ channeladvisor.com) for tests and patch.

commit 76de3da7be62947fce363f6cf5ac26b1e0be5f23
Author: fxjr <>
Date:   Mon Mar 29 13:46:26 2010 +0000

        Try to set SSL negotiation to 0. As of 2010-03-29, recent problems in SSL library implementations made postgresql to add a parameter to set a value when to do this renegotiation or 0 to disable it.
        Currently, Npgsql has a problem with renegotiation so, we are trying to disable it here. This only works on postgresql servers where the ssl renegotiation settings is supported of course. See http://lists.pgfoundry.org/pipermail/npgsql-devel/2010-February/001065.html for more information.
        Thanks Albe Laurenz for heads up and patch.

commit fa1c87ef7106ff510f8c640b5246b5c312164c1c
Author: fxjr <>
Date:   Mon Mar 29 13:07:26 2010 +0000

    Fixed line endings to CRLF.

commit 24b555e561ff20e35f1b753f2acfe3ab74609cfc
Author: fxjr <>
Date:   Mon Mar 22 02:43:20 2010 +0000

    [#1010780] Reduce use of utility queries for function calls (CommandType.StoredProcedure). Thanks Noah Misch for tests. Patch (2 of 2):
    
    2010-03-18  Noah Misch  <noah.misch @nospam@ channeladvisor.com>
    
        * src/Npgsql/NpgsqlCommand.cs (GetClearCommandText): Do not call
        `CheckFunctionHasOutParameters'.
        (CheckFunctionNeedsColumnDefinitionList): Check return type and presence
        of OUT, INOUT, and TABLE arguments.
        (CheckFunctionHasOutParameters): Delete method.
        * testsuite/noninteractive/NUnit20/CommandTests.cs
        (StatementOutputParameters): Test a multi-row result set.
        (ReturnSetofRecord): New method.
    
    
    [#1010779] Respect CommandTimeout in first function call w/ string parameter. Added test cases. Thanks Noah Misch for tests.

commit 12ce691540b45264c8d56dc6b1236ccc5af71ec3
Author: fxjr <>
Date:   Mon Mar 22 02:23:49 2010 +0000

    [#1010780] Reduce use of utility queries for function calls (CommandType.StoredProcedure) Thanks Noah Mishc for patches (1 of 2):
    
    2010-03-18  Noah Misch  <noah.misch @nospam@ channeladvisor.com>
    
        * src/Npgsql/NpgsqlCommand.cs (functionReturnsRefCursor): Delete
        property.
        (GetReader): When a function returns a single refcursor column,
        immediately fetch from all those cursors and return that data.
        (GetClearCommandText): Do not call `CheckFunctionReturn' or
        `ProcessRefcursorFunctionReturn'.
        (CheckFunctionReturn, ProcessRefcursorFunctionReturn): Delete methods.

commit a3b3d40461d37d4e1c31592dcfd8a36251c2bc2c
Author: fxjr <>
Date:   Tue Mar 16 01:45:25 2010 +0000

    [#1010777] String syntax for function call parameters. Thanks Noah Misch (noah.misch @nospam@ channeladvisor.com) for patch.

commit cb1d50854c32d5a107e97605bfb0270d4dbae636
Author: fxjr <>
Date:   Sat Mar 13 20:16:21 2010 +0000

    Removed temporarily the runCodeMetrics target from ccnet target dependencies. Build server is having problems with the metrics software.

commit 28efe41553c61cbfd95fc13191b7639bfde7c19a
Author: fxjr <>
Date:   Tue Mar 2 13:33:46 2010 +0000

    Added an small performance improvement by creating a shared buffer for Int32 and Int16 reading. This way, buffers don't need to be recreated all the time.

commit 176aef743972c8c35dbbd432d29e4810547be26a
Author: fxjr <>
Date:   Mon Mar 1 03:25:25 2010 +0000

    Readded ability to log the string being written to server. It was removed in the last optimization (version 1.5) by mistake.

commit 941cfabdc7f09f2bfff1a9c4ba25c61870a8984f
Author: fxjr <>
Date:   Fri Feb 19 17:49:36 2010 +0000

    Reuploaded version from ASPNetProvider.

commit 7351b3ed400ea1d546201cd653feb7ab21f26cd5
Author: fxjr <>
Date:   Thu Feb 18 01:23:27 2010 +0000

    Added missing comments.

commit cc26dfd39460880e6d3e6784132b60ef62ccfba4
Author: fxjr <>
Date:   Wed Feb 17 23:47:14 2010 +0000

    Fixed a bug where a function which has a return type of record but already has the columnlist defined inside itself ( i.e.: functions with returns table clauses, see testreturnrecordresultset in the testcases) were being misinterpreted as needing a column list. Thanks Jan Waiz for heads up and test case. Added nunit test case to catch this problem.

commit a7cc0724f1fda06a7d66c846fa911aadfbba0ff2
Author: fxjr <>
Date:   Wed Feb 17 21:23:19 2010 +0000

    Added VS.Net 2010 project file generated from vs.net 2008 project file.

commit bbc2e80bd2c04436d156ee03818d243dbced70fd
Author: fxjr <>
Date:   Tue Feb 16 01:39:06 2010 +0000

    Fixed another commandtimeout problem. This time, creating an internal Npgsqlcommand was reseting it. See http://pgfoundry.org/forum/message.php?msg_id=1005814 for more info. Thanks David Leaver (dave @nospam@ smartrak.co.nz) for heads up and test case.

commit db81352c993353bfe92db6245dfb5defce65c8b3
Author: fxjr <>
Date:   Tue Feb 16 01:33:31 2010 +0000

    Normalized line endings.

commit 513806e4b9f9194cf399946a238076a9cf861576
Author: fxjr <>
Date:   Mon Feb 15 21:08:34 2010 +0000

    Applied patch: [#1010764] Support for abstime (used with postgres time traver). Thanks Tapio Haapala (tapio.haapala @nospam@ f-solutions.fi) for patch.

commit 4968d9ca5b39477ce33a31b29f0a3dc6e00d9f3c
Author: fxjr <>
Date:   Mon Feb 15 20:34:21 2010 +0000

    Updated Gendarme toolset. It seems the previous version was corrupted.

commit b5f83e2f9bcd48e0555c758f234cf2c6092c0961
Author: fxjr <>
Date:   Mon Feb 15 20:20:34 2010 +0000

    Fixed build target dependency to include createAssemblyInfo target. Now, when running build it generates the assemblyinfo.cs file correctly. Thanks Daniel Nauck for heads up.

commit 76834e145470ee9536e3c88df71b12423d755648
Author: fxjr <>
Date:   Sun Feb 14 03:14:35 2010 +0000

    Added a lot of targets to package Npgsql source and binary distribution.
    Added target to ccnet.
    
    Added ability to generate AssemblyInfo.cs automatically. In order to do that, run build.sh (build.bat) -D:CCNetLabel=2.0.9.0 so the assembly value is set to this label value.
    
    Thanks Daniel Nauck for support and .build sample file.

commit 700f89da4db6f222286cffef482ec1d440cfe64d
Author: fxjr <>
Date:   Wed Feb 3 21:00:04 2010 +0000

    Added configuration files for Gendarme and FxCop. Updated Npgsql.build files to add the corresponding build targets.

commit 6f4be2d0b7ef7527da01354f902850531b9f13e2
Author: fxjr <>
Date:   Wed Feb 3 20:43:24 2010 +0000

    Fixed corrupted files uploaded first time.

commit 39bc8091e195c21f553d0dab3d59f1e04cd0c1e8
Author: fxjr <>
Date:   Mon Feb 1 13:54:26 2010 +0000

    Added a lot of functionality and fixes to Npgsql.build based on Daniel Nauck AspSQLProvider.build. Thanks Daniel for heads up.

commit 74222890b7d62ff8a677ccaebbee3708b3553d89
Author: fxjr <>
Date:   Sun Jan 31 15:48:51 2010 +0000

    Fixed backslash for windows .bat :)

commit e21a060b24571352a8e5d72d4d634aa1135262bd
Author: fxjr <>
Date:   Sun Jan 31 15:40:49 2010 +0000

    Created helper scripts to build Npgsql with Nant from commandline. Just call build.sh or build.bat.

commit 679394f2ebc676bce6feaf57f84b0162906c0d6f
Author: fxjr <>
Date:   Fri Jan 29 19:46:38 2010 +0000

    Added Tools/NAnt to Npgsql2

commit 8580b06029ae819b102b57a57d19ae6722b36352
Author: fxjr <>
Date:   Fri Jan 29 03:10:31 2010 +0000

    Added Tools/Gendarme to Npgsql2

commit cc4b7988921353c35c1927cfa411a4e2bad42eed
Author: fxjr <>
Date:   Fri Jan 29 02:55:10 2010 +0000

    Added Tools/FxCop to Npgsql2

commit f4978479f023d2ad26dcdc03c18f5d120cb84d4e
Author: fxjr <>
Date:   Tue Jan 26 21:34:59 2010 +0000

    *** empty log message ***

commit 5b048fe9bd58370dc1bf43b2ab5a900b14b6ddc8
Author: fxjr <>
Date:   Mon Jan 18 02:14:28 2010 +0000

    Changed NpgsqlInet test method name to better explain it.
    
    Added NpgsqlTimeStamp test.

commit a761a42fde23070c76153136112e787f770e49af
Author: fxjr <>
Date:   Mon Jan 18 02:06:56 2010 +0000

    Added a fix for 64 bits windows. The type of the SecHandle structure was hardcoded to int 32 bit int values which was giving problems on 64 bits windows. Now uses an architecture independente pointer type. Thanks Brar Piening for patch and heads up.

commit ac57b1a7deb0ad9053d5b9e2f80d4d029300d102
Author: fxjr <>
Date:   Sat Jan 16 15:05:41 2010 +0000

    Added a test for Europe/Amsterdam timezone with dates before 1937. Those timezones had minuts and seconds on it. Check http://lists.pgfoundry.org/pipermail/npgsql-devel/2010-January/001054.html for more information. Thanks Christ Akkermans for heads up and test.

commit dbe428fd71471e4606c1bd47f2bf67c12ccaf2ff
Author: fxjr <>
Date:   Mon Jan 11 01:58:34 2010 +0000

    Added a fix for caseinsensitive parameter names in query strings. Thanks Antonio Leiva for the patch!
    
    Added test case for this bug.
    
    Also added a pending testcase for NpgsqlInet types returned from NpgsqlDataReader.GetValue(). This test is not working yet because of pending fixes in Npgsql. But the test is ok.

commit 39d6ce116a268982eeebde45f62ca0c500965adb
Author: fxjr <>
Date:   Fri Jan 8 02:32:58 2010 +0000

    [#1010746] NpgsqlDate.AddMonths(m): IndexOutOfRangeException, if new date in following year. Applied patches: [#1010747] Correction of NpgsqlDate.AddMonths(m), if new date in following year. Thanks Gildas (prime.gildas @nospam@ gmail.com) for patch and testcase. Also thanks Sibylle Koczian (nulla.epistola @nospam@ web.de) for patch reviewing and testing.

commit e7b47c3cd1abcd042c11423f9ea0acee083858a8
Author: jbcooley <>
Date:   Mon Dec 28 20:23:58 2009 +0000

    need to read in chunks so the socket doesn't run out of memory in recv the network stream doesn't prevent this and downloading a large bytea will throw an IOException with an error code of 10055 (WSAENOBUFS)
    This is a fix for bug reported in 1005719.

commit bda5d16aa1cb9a3a23774c30abc41a1eca89cf83
Author: fxjr <>
Date:   Mon Dec 28 03:35:33 2009 +0000

    Added release notes for 2.0.8 release.

commit ef730adaf77b1d71c524ea3811a22aa2713c1793
Author: fxjr <>
Date:   Mon Dec 28 03:11:48 2009 +0000

    Updated for Npgsql 2.0.8 release

commit 0709c062ca4795301f86d8628fdd0815700ec3d5
Author: jbcooley <>
Date:   Mon Dec 28 02:42:28 2009 +0000

    Updated for build 2.0.8

commit bb7870ae98f0c2cc1d0feadbdfb6c454fb27cf5d
Author: jbcooley <>
Date:   Sun Dec 27 18:51:19 2009 +0000

    Initial support for bug fix reported in message 1005698.  The fix changes valid sql that produced incorrect results to sometimes valid sql that produced correct results when valid.   Also contains work in progress to resolve the invalid sql.

commit 3f37312ef45d5301ce498d9e4acfe462e8054cbf
Author: jbcooley <>
Date:   Sun Dec 27 18:44:27 2009 +0000

    Initial .NET code

commit b094d8c5fd135ce8a2d891b11594d971ebbe3a42
Author: jbcooley <>
Date:   Mon Dec 21 03:19:10 2009 +0000

    Fixed two bugs with Entity Framework SQL generation:
    [#1010727] Entity framework exception if null inserted in XML column
    Changed null handling so that the value is only type cast when used in a select clause.
    [#1010673] syntax error in queries generated by entity framework 2.0.6 ms.net sp1
    Changed the filter handling to better work when subqueries in joins.

commit 458623007900398cb2aa402bf66a79a989aee9c9
Author: fxjr <>
Date:   Sun Dec 20 02:33:47 2009 +0000

    Fixed manual to show examples using NpgsqlDbType instead of DbType. Using DbType is only provided for backwards compatibility. NpgsqlDbType is the prefered way to specify paramter types.

commit afe3540a3e6da3c951852a6492091fe6cc22ac0e
Author: fxjr <>
Date:   Sun Dec 20 02:15:19 2009 +0000

    [#1010687] Spelling error in NpgsqlCommand Object command timeout exception. Fixed.

commit 64f11667d943ddcf2f73d5c4af3d97db6736e25d
Author: fxjr <>
Date:   Sat Dec 19 15:30:35 2009 +0000

    Added method AddWithValue and made Add(String, object) obsolete and this was causing ambiguity problems with Add and NpgsqlDbType and DbType. See http://pgfoundry.org/tracker/index.php?func=detail&aid=1010714&group_id=1000140&atid=590 and http://pgfoundry.org/tracker/index.php?func=detail&aid=1010715&group_id=1000140&atid=592 for more details. Thanks Gildas (prime.gildas @nospam@ gmail.com) for heads up and discussion about that. Note that the issue of adding a new method which takes a DbType parameter is not finished yet. We should check if this is still needed.

commit 130535d949b72055a23db48960229684b421889c
Author: fxjr <>
Date:   Mon Dec 14 00:45:50 2009 +0000

    Added support to parse "-infinity" and "infinity" date values.

commit 6eb67745113c4a5381a9feffc5b2897f3fb55fa6
Author: jbcooley <>
Date:   Sun Dec 13 03:27:02 2009 +0000

    No longer the 2.0.7 release build.  Change version number so that compatibility flag can be used.

commit 053684594fa8e476cea6249011f68a097f36d07b
Author: jbcooley <>
Date:   Sun Dec 13 03:26:21 2009 +0000

    Support Snapshot Isolation level correctly.

commit 0191ac7f5a41c0246266a12e8abe2df76dea6d90
Author: jbcooley <>
Date:   Sun Dec 13 03:25:57 2009 +0000

    Support for provider specific types (with compatibility flag on change to NpgsqlInterval)

commit c189d54259dc3d991d03687aa3d90f842675b332
Author: jbcooley <>
Date:   Sun Dec 13 03:23:52 2009 +0000

    Support casting time values to DateTime type

commit 959e70e056577400687cef3bd95dcb2acf824eed
Author: jbcooley <>
Date:   Sun Dec 13 03:22:20 2009 +0000

    Tests to validate type changes for provider specific type support

commit fa4c4ee845a45d7d84b8f6026a4ddec24457779b
Author: jbcooley <>
Date:   Sun Dec 13 03:17:27 2009 +0000

    Validate time conversion.  Noticed that NpgsqlTimeTZ.LocalTime is really local to timezone specified in value.

commit 354354159f0bc150a10640b86739e1dc01ba3ca5
Author: jbcooley <>
Date:   Sun Dec 13 03:16:12 2009 +0000

    Tests from bug report 1010734

commit ec018b55b54cba0116ab233478a1a5d27919d1bd
Author: jbcooley <>
Date:   Sun Dec 13 03:14:56 2009 +0000

    Tests from bug report

commit 6b21c3fb428e6f7499af42da46cb1f34037381e0
Author: fxjr <>
Date:   Fri Dec 11 20:24:03 2009 +0000

    Bug: Money to Decimal conversion. Fixed problem where negative money values weren't being returned correctly. Thanks Denis Moinel (denis.moinel @nospam@ gmail.com) for heads up and patch. See http://pgfoundry.org/forum/message.php?msg_id=1005647 for more info.
    
    Also added test case.

commit 705f7d89b29ac44f0f5bd8e21d608723c32b263c
Author: jbcooley <>
Date:   Wed Dec 9 04:17:44 2009 +0000

    Fix time zone parsing bug reported in message 1005627.  Now handle negative timezones correctly.

commit 7e8e416d56c62c9c3b69fdfc086984cd76a58ae9
Author: jbcooley <>
Date:   Wed Dec 9 04:11:18 2009 +0000

    Test time zone parsing.  Exposes bug reported in message 1005627

commit 515a23c4104cad1ed2701aa75b10634559d46b89
Author: fxjr <>
Date:   Wed Dec 2 01:50:54 2009 +0000

    Fixed a bug where Npgsql wasn't honoring the connectiontimeout on Startup method.
    
    See http://pgfoundry.org/forum/message.php?msg_id=1005603 for more info. Thanks chaitra p (cpadsalgi @nospam@ peak6.com) for heads up.

commit 23c8f22320721d481c74d0461e4e32777a25bce7
Author: jbcooley <>
Date:   Sun Nov 15 20:23:32 2009 +0000

    Updated for build 2.0.7

commit e4db70a256ea99bdacc4ab0ed15762c5a959898f
Author: fxjr <>
Date:   Sun Nov 15 20:19:48 2009 +0000

    Updated to 2.0.9 release

commit 3c075767287d8c6815a95d28b9b181791a187283
Author: fxjr <>
Date:   Sun Nov 15 20:16:18 2009 +0000

    Updated release notes for 2.0.7

commit eae737a6c38aa339f14b623de87d92f41dc2d19f
Author: fxjr <>
Date:   Sun Nov 15 19:53:44 2009 +0000

    Changed copyright year to 2009

commit 2d8dc3a698a61313c1e1c8ae5dd6048e7f66e190
Author: jbcooley <>
Date:   Sun Nov 15 19:45:46 2009 +0000

    Updated for build 2.0.7.

commit 3f3dd279c9ae23e2e2ec1c0024878c2f3b3b4c23
Author: jbcooley <>
Date:   Fri Nov 13 04:10:56 2009 +0000

    Bug #1010527 - Fix query timeout connection corruption.

commit f4ddf75aa5e4e06fbdde8e1df927fa0d3570f0ce
Author: fxjr <>
Date:   Sat Sep 12 23:08:53 2009 +0000

    [#1010700] Capture parameter names with NpgsqlCommandBuilder.DeriveParameters.
    Thanks Brian Schloz (bschloz @nospam@ hotmail.com) for patch.
    Also added nunit testcase.

commit 59f3f946b36d0de0f17b269c750a6c3746831ed9
Author: fxjr <>
Date:   Mon Aug 24 01:04:00 2009 +0000

    Last commit message should have been: Thanks Alaric for heads up and testcase

commit 711399ad106465505b1337368f5fc33ed2133e3a
Author: fxjr <>
Date:   Mon Aug 24 00:55:42 2009 +0000

    [#1010668] Npgsql ConnectionStringBuilder provides no connectionstring properties. Now Npgsql correctly reports default connectionstring properties. Thanks Alaric Dailey for heads up and patch!

commit 8efa8d1345dfd44d85a05ed900cc487f8a717150
Author: fxjr <>
Date:   Tue Aug 11 19:46:51 2009 +0000

    Fixed bug when trying to retrieve a date value with -infinity value. See more here: http://pgfoundry.org/forum/message.php?msg_id=1005249
    Thanks Andrus Moor for bug report and test case and Laurenz Albe for reporting the commit where the infinity date value was added.

commit a1205d89989a8fe7ad5d8483166b1941fc616863
Author: fxjr <>
Date:   Mon Jul 27 05:14:17 2009 +0000

    [#1010679] NpgsqlCommand.GetClearCommandText speed optimization.
    Thanks Dmitri Maximov (dmitri.maximov @nospam@ dataobjects.net) for patch.

commit c70064ebcc1b1ce4e1f6af5336810f916469212c
Author: jbcooley <>
Date:   Sat Jul 11 19:30:17 2009 +0000

    updated for release 2.0.6 (again)

commit 8e105aa22e1f17414125c34b18d815f49a43db3d
Author: fxjr <>
Date:   Sat Jul 11 19:20:22 2009 +0000

    Added more information to release notes of 2.0.6

commit 3856eb311a60831b181fb17da5353e0e01386899
Author: jbcooley <>
Date:   Sat Jul 11 19:06:57 2009 +0000

    updated for release 2.0.6

commit 48843c6be8050719bad89d5755df9cdcab17715b
Author: jbcooley <>
Date:   Sat Jul 11 19:00:28 2009 +0000

    updated for release 2.0.6

commit 6788297feeb84fadecfcb2fa71d4fc5c6c288886
Author: fxjr <>
Date:   Sat Jul 11 18:59:03 2009 +0000

    Added release notes for 2.0.6 release

commit eec9965649b1c06088bde6b59274b3816bef3ece
Author: jbcooley <>
Date:   Sat Jul 11 18:47:10 2009 +0000

    update the version number for build 2.0.6.

commit a6d4ad1d5f9d3c34e92e3881866af5b0176e9eef
Author: jbcooley <>
Date:   Tue Jul 7 01:45:54 2009 +0000

    Share NumberFormatInfo between regular value formatting and Entity Framework formatting.

commit 25c7e85357e636c5ade8398e120f5c0b61de291f
Author: fxjr <>
Date:   Mon Jul 6 14:38:11 2009 +0000

    Changed value of busy loop so it can stay longer.
    
    Added outputparameter test function

commit c2bf42cec6c44a022c348730ab8e9c9b93b1cf9d
Author: fxjr <>
Date:   Mon Jul 6 14:35:50 2009 +0000

    Added tests for output parameters

commit d63a33fd22406a40ec42662b42230a166bb1a182
Author: fxjr <>
Date:   Mon Jul 6 14:32:27 2009 +0000

    Added tests for CommandTimeout resetting.

commit d084dbbfdf75ff93f4bc7c46ea3c7ae7571d21fe
Author: fxjr <>
Date:   Thu Jul 2 14:57:17 2009 +0000

    [#1010666] CommandTimeout does gets reset to 20 when a Connection object is assigned to it. Now, if a command timeout is set to NpgsqlCommand, it will respect this timeout regardless of the value set in connection string. Thanks Debabrata Das for testcase.

commit 2d3f70667f466fd9f31fcefc20dfa908a4bf8282
Author: jbcooley <>
Date:   Thu Jul 2 02:29:32 2009 +0000

    #1010663 - Fix decimal character for decimal numbers.

commit 750a4a6af1ac801e83ed14d1f7f1e39c8ed97463
Author: jbcooley <>
Date:   Thu Jul 2 01:52:03 2009 +0000

    Give type to NULL literals.  See message 1005019.  Bug reported by Eric Adv.

commit a612414e1d63378fa88fbc51795c8660a9d14a0e
Author: jbcooley <>
Date:   Fri Jun 26 03:38:14 2009 +0000

    simplified boolean expressions when a not is applied.  Also added subsecond precision for timestamps. (reported by Ibaidul Sahib)

commit 14aa84aae7c0c403f0ec964e3148e919e8af5610
Author: jbcooley <>
Date:   Fri Jun 26 03:36:53 2009 +0000

    simplified boolean expressions when a not is applied

commit 7ef942eebb4b5d40feca03ff22a4a6ca7f3f2ab8
Author: fxjr <>
Date:   Sun Jun 21 02:17:04 2009 +0000

    Removed the VsSDKTargets project dependency line which completes Josh's modification to make it load with vs.net express.

commit 5ba2c3f16bc898127a4ddbe3b761a0469e53c230
Author: jbcooley <>
Date:   Sun Jun 21 02:03:40 2009 +0000

    removed more vs sdk dependencies.

commit bea221d485bef3945fcfa660acd5e78a7ec64ba0
Author: jbcooley <>
Date:   Sun Jun 21 01:59:02 2009 +0000

    removed package files.

commit b93505f1cdec0d0ab50771869ebd0f392a28a02d
Author: jbcooley <>
Date:   Sun Jun 21 01:24:11 2009 +0000

    convert SQLite designer to run against Npgsql

commit f9dc8fa989da8bf8b4a6525032b62f49fcb3c4fc
Author: fxjr <>
Date:   Sat Jun 13 05:56:56 2009 +0000

    [#1010652] Command checker for output vars is using not performing query.
    Npgsql was adding a cast which was causing the query analyzer to use a full table scan instead of using the index. Now, Npgsql adds the proper cast. Thanks Adriaan van Kekem for analyzes and bug report.

commit d08faa282c30dfbbf40e3604349417ecb9e4a527
Author: fxjr <>
Date:   Sat Jun 13 05:05:05 2009 +0000

    Fixed previous patch as it breaks when using an internal NpgsqlCommand which receives only a Connector in its constructor as the CheckConformingStrings method does. This is caused by not having an NpgsqlConnection available when using this internal constructor. Now it uses the Connector object instead of NpgsqlConnection to get the compatibility version check.

commit 3916933fea8886c041768b46922aea40162d6137
Author: fxjr <>
Date:   Tue Jun 9 18:22:01 2009 +0000

    [#1010649] DataReader.FieldCount returning -1. Fixed. Thanks Dario Quintana for bug report.

commit 6b65e9061d3aa10f7544bb1823cce332e9e14f5e
Author: jbcooley <>
Date:   Sun May 31 21:53:02 2009 +0000

    Force InvariantCulture for fractional seconds in ToString (thanks to Otto H)

commit f64b2c97efdb04ff45bb0762b992636990fa5af5
Author: jbcooley <>
Date:   Sun May 31 21:51:08 2009 +0000

    Test ToString in other cultures (thanks to Otto H)

commit 456a246f62eb6cd4cc3b3f097fdf3383b65af760
Author: jbcooley <>
Date:   Sun May 31 18:45:20 2009 +0000

    NpgsqlDate tests.

commit 31c7de4886f40afafc9bc94a4c60ec3be8dac8ef
Author: jbcooley <>
Date:   Sun May 31 17:06:08 2009 +0000

    Changed mechanism used to calculate fractional seconds so they get represented correctly in string format.

commit bc0a29e8df9935d1efe7cde99d92226e2e931647
Author: jbcooley <>
Date:   Sun May 31 17:04:40 2009 +0000

    New tests to represent precision in ToString().

commit ae5f61e6e9363eb8b5bbaaadb084d80d49697581
Author: jbcooley <>
Date:   Sun May 31 03:03:12 2009 +0000

    Fix bugs constructor and property bugs in NpgsqlInterval and NpgsqlTime as reported by Otto H.

commit c31d855cc59f77af07c2e6344bfe9663e405257c
Author: jbcooley <>
Date:   Sun May 31 03:01:42 2009 +0000

    fix bugs in tests for NpgsqlInterval and NpgsqlTime

commit 58556ee1d2adf44539fe919bd189155a2ff3769f
Author: fxjr <>
Date:   Fri May 29 14:15:19 2009 +0000

    [#1010635] Error trying to connect to Postgresql 7.3. Fixed. Now, Npgsql correctly handles standard_conforming_strings. Thanks Jon Hanna for feedback and Juan Carlos Segui for bug report.

commit 7931ef7e3d3244b9d789254ad1ca0bcf952f7232
Author: jbcooley <>
Date:   Fri May 29 03:31:17 2009 +0000

    Many new tests taken from bugs reported by Otto H.

commit c366766e2c388e717da8b24d7affc0df7016e033
Author: jbcooley <>
Date:   Fri May 29 03:27:28 2009 +0000

    Use period for decimal seperator between seconds and milliseconds.  Reported by several people.

commit e73f03c9f8cc681191ec068a43ee1029cee04d24
Author: jbcooley <>
Date:   Sat May 23 02:38:39 2009 +0000

    Added DDEX solution

commit dd548a64c4b568f25097bbe56f227e6082b95237
Author: jbcooley <>
Date:   Sat May 23 02:38:08 2009 +0000

    incremental changes towards DDEX support

commit a1ae368ef21f9852ce88f248cf8da15a972bfe66
Author: fxjr <>
Date:   Wed May 6 04:04:19 2009 +0000

    Updated files for 2.0.5 release

commit 9f8cce4ca84d51cdedf523f215333f6c166fa368
Author: jbcooley <>
Date:   Wed May 6 03:39:40 2009 +0000

    Updated for 2.0.5 release.

commit 8468afb2180e7fb38cc14010ca5e02acd7c6ea73
Author: fxjr <>
Date:   Wed May 6 03:30:14 2009 +0000

    Fixed line ending inconsistencies.

commit 187c4f4e3b4b1433fb808ed24455eda14cc2a900
Author: fxjr <>
Date:   Wed May 6 03:28:41 2009 +0000

    [#1010567] failed LargeObject operation causes NotSupportedException. This patch may also work as a workaround for any seek exception problem. We still have to investigate why Npgsql is letting behind data in the stream.

commit e9072a7f30e403a2d1e4c7206f7c67d4832ece98
Author: jbcooley <>
Date:   Wed May 6 01:00:33 2009 +0000

    bug #1010267 - read all bytes in a copydata message.

commit b40efd30a328454c238e90fc4e7e61c73c50fc86
Author: jbcooley <>
Date:   Wed May 6 00:57:00 2009 +0000

    Add helper method to read bytes from stream even when not all bytes are immediately available.

commit a8fe9a026917d566dbc7d84e99b6a029cbcbe010
Author: fxjr <>
Date:   Tue May 5 03:30:11 2009 +0000

    Added some tests based on Forums.

commit 16a6f83b5177224500f9f0e01ca5e741fb29b58f
Author: jbcooley <>
Date:   Wed Apr 29 03:24:38 2009 +0000

    #1010599 - update xml docs (fix typo in Clone) Thanks to Lars Carlsson

commit 0f302f44d610bfd1f36be9cb013fc4377430fae7
Author: fxjr <>
Date:   Wed Apr 15 04:17:55 2009 +0000

    [#1010558] Added callback to provide client certificates for ssl authentication.
    Thanks Frank Bollack (frank.bollack @nospam@ visapix.de) for patch!

commit e4a8004420f26c58ec58bfa9f6ea6f77ea6cb613
Author: jbcooley <>
Date:   Sat Apr 11 02:57:22 2009 +0000

    Fix skip (offset) when used with a join

commit 1275aab3412c3bfd5f54fd693ea0db9fe667234e
Author: jbcooley <>
Date:   Sat Apr 11 00:07:39 2009 +0000

    Add support for edm canonical string function "Right"

commit d03faa0f7fbf30ed82788321501f1e63f46294f7
Author: jbcooley <>
Date:   Fri Apr 3 04:07:30 2009 +0000

    Added test based on forum post.

commit 9a3861fc6282bd61a037117b9a9734d2d0ad88e9
Author: jbcooley <>
Date:   Fri Apr 3 04:05:23 2009 +0000

    Fix missing cast from previous commit.

commit db86a70d38af23705b8b781e3d5e69d8e39d31dc
Author: jbcooley <>
Date:   Fri Apr 3 03:44:58 2009 +0000

    Fix resource manager lifetime.  This improves System.Transaction support.

commit c4b0c1abf9cef0bad7d35398239bd1f90d3f1a38
Author: fxjr <>
Date:   Wed Apr 1 15:21:39 2009 +0000

    [#1010379] NpgsqlDataAdapter.Update - Return value is wrong.
    Thanks Christian Holzner for feedback and testcase.

commit f23466390cd0de1dd8e4ad3e25acf2fe6a0f0e33
Author: fxjr <>
Date:   Thu Mar 19 20:09:46 2009 +0000

    [npgsql-help][1004683] RE: Statement execution returns incorrect DataSet
    Improved check of valid connection to consume all the value returned. This may be causing Npgsql to let some data in the stream.
    Thanks Andy Berryman for heads up.

commit 4fcacd638fecdb7b948d0762712aef382838d17a
Author: fxjr <>
Date:   Wed Mar 18 14:54:14 2009 +0000

    Fixed regression with prepared statements with parameters with sizes. The size of parameters were being added in the statement tail. Thanks Rodrigo Cuevas (bellinux at gmail dot com) for heads up and Lee Ibbotson (lee.ibbotson @nospam@ sequence.co.uk) for patch.
    
    Added testcase for this problem.

commit d47e1b3f8f9dae3df413e09153c1a8876cc8049f
Author: fxjr <>
Date:   Wed Mar 18 14:28:03 2009 +0000

    Fixed problem where null parameters were being sent with casts when they weren't needed and so causing problems. Added testcase for this problem. Thanks Andrus Moor for testcase and heads up.
    
    Also added testcase for numeric float support with different cultureinfo.

commit b6530a9263fb4ccb90c34570cfec74d2412d72ef
Author: jbcooley <>
Date:   Sun Mar 8 03:24:23 2009 +0000

    Updated scan to handle Table attribute for cases where the table name is not the EntitySet name.  Thanks to Konstantin Shtonda for the patch.

commit a0c2868cabc85c1436da61e9428856399e3c78bf
Author: jbcooley <>
Date:   Sun Mar 1 00:15:23 2009 +0000

    update for 2.0.4 release

commit b4e2f2ad4975e841c50e898d3e2be4a8531d298c
Author: jbcooley <>
Date:   Sun Mar 1 00:06:58 2009 +0000

    update assembly info for release.

commit 0868b261ba66131971e50b8d934adacfdb54228c
Author: jbcooley <>
Date:   Sun Mar 1 00:01:53 2009 +0000

    New publisher policy file.

commit f94e06d0cd2066f6b6574bbdc14bbc46564b05de
Author: fxjr <>
Date:   Sat Feb 28 23:54:04 2009 +0000

    Added release notes for 2.0.4

commit 1a0f9595b962f21843b4c3d0238945f3fde65154
Author: fxjr <>
Date:   Thu Feb 26 02:06:57 2009 +0000

    Really fixed culture dependent representation of floating numbers. Now it uses a invariant culture representation. Thanks Antonio Leiva for heads up.

commit e113d19342b3b5fce00edf1ccb84c267e74b80de
Author: talliesin <>
Date:   Wed Feb 25 15:36:46 2009 +0000

    Fix bug with new bytea conversion [#1010562]

commit 9a77c4d0be604589fa6dbca145704b34580ec3f9
Author: fxjr <>
Date:   Tue Feb 24 05:30:26 2009 +0000

    Updated Changelog for 2.0.3 release

commit 0b68843fc62ce9cbcb64d96b047e4901c6c8f5b8
Author: fxjr <>
Date:   Tue Feb 24 05:27:38 2009 +0000

    Fixed release notes file format.

commit b6b87665d16408aa27db3e22231992dbff049374
Author: fxjr <>
Date:   Tue Feb 24 05:06:57 2009 +0000

    Added release note for 2.0.3 release

commit bf7fa49b089dace3ec87a1d5cfdacc8eb2f92f10
Author: fxjr <>
Date:   Tue Feb 24 04:41:31 2009 +0000

    Updated for 2.0.3 release

commit 45ef06ef0848277e7e53584b209864ae41200d04
Author: jbcooley <>
Date:   Sat Feb 21 22:07:05 2009 +0000

    Drop overloaded functions and procedures since they cause problems for edmgen.

commit 46e9b9b2b2690cf9e371321da916eca2a3390b9e
Author: fxjr <>
Date:   Fri Feb 20 02:12:33 2009 +0000

    Added tests for [#1010543] Parameter value 'Int32.MinValue' throw NpgsqlException(ERROR: 22003: integer out of range). Thanks David Bachmann for heads up and tests.

commit 923d3d7991018ccef0a678a115d43e5a0101ed8e
Author: fxjr <>
Date:   Thu Feb 19 15:20:41 2009 +0000

    [#1010543] Parameter value 'Int32.MinValue' throw NpgsqlException(ERROR: 22003: integer out of range). Thanks David Bachmann for the ideas about how to solve that on mail list referenced on this bug report. Also thanks to Josh Cooley for reviewing the previous attempts to fix that and preventing me of doing problems. Also thanks Dario Quintana (contacto at darioquintana dot com dot ar) for his feedback and testing.

commit 10b0df624af690ffef0f6cb6c328c81196158c2c
Author: jbcooley <>
Date:   Wed Feb 18 04:27:23 2009 +0000

    Bug #1010545 - support alternate names for tables (two schemas same table name) and alternate names for schemas.  Thanks to Konstantin Shtonda for reporting this problem.

commit d12ec8af2665654eb5652fa0e4106ca0d0f66716
Author: fxjr <>
Date:   Tue Feb 17 14:31:20 2009 +0000

    Fixed a culture problem in the ToBasicType<T> method which is used to send decimal values. With es_ES for example, decimal values were being sent as 32,3 instead of 32.3. Thanks Antonio Leiva (antonio dot leiva at gmail dot com) for heads up.

commit 1b7d6b628410c9b2dfa1d45908fc49a20d425a96
Author: jbcooley <>
Date:   Tue Feb 17 04:17:42 2009 +0000

    Fixed bug in skip.  Thanks to gavin w for reporting the bug.

commit b110d9bcb060a3c39d750061a54984ecfa47caa5
Author: jbcooley <>
Date:   Thu Feb 5 03:26:07 2009 +0000

    Starting DDEX support for Npgsql

commit a2a42af73a4b9a97a9d369476e26244efcd89001
Author: jbcooley <>
Date:   Thu Feb 5 03:24:46 2009 +0000

    added missing BitString file

commit a751af35d1fe697d663def9d5253bedd72812afc
Author: jbcooley <>
Date:   Mon Jan 19 03:20:42 2009 +0000

    Fixed relationships with a simpler query.  Thanks to Eugênio Ferreira Lima <eugenioflima at gmail.com>

commit 2ecb7e466815d1a50bbd332f1bf4a7bf58c211bd
Author: talliesin <>
Date:   Fri Jan 16 16:11:38 2009 +0000

    Seed hashcodes for NpgsqlPath and NpgsqlPolygon better.

commit 16c06e975feddc979272113a4321ec49bb4610a0
Author: talliesin <>
Date:   Fri Jan 16 15:40:39 2009 +0000

    Short-cut some potentially expensive equality comparisons in cases where objects are shallow copies of each other.

commit 4b1c650efb6fdc7937fdd0a89a11e47d51aa41d3
Author: talliesin <>
Date:   Mon Jan 12 11:26:41 2009 +0000

    Use Kana-width-insensitive comparisons supplied by System.Globalization.CompareInfo rather than rolling our own.

commit 5a894787711da4de6cde4fdc2cf32b3bfe70c2da
Author: talliesin <>
Date:   Wed Jan 7 18:48:24 2009 +0000

    Fix for string representation of some negative intervals. Thanks to Mathieu Fenniak for bashing out the issues.

commit 0f57d5790b2406f0c1899d1a99f201ff340317d7
Author: talliesin <>
Date:   Fri Dec 26 16:08:13 2008 +0000

    Only produce SQLSent string from stringbuilder if needed.

commit efa233e0b0a91105c2cc720c946accd7e137ba6e
Author: talliesin <>
Date:   Fri Dec 26 15:24:35 2008 +0000

    Fix lack of parameter length in another case. Replace many cases of string concatenation with StringBuilder use.

commit 15755c089764b2f473cd68ab7efa1b861c68ee81
Author: talliesin <>
Date:   Thu Dec 25 23:34:52 2008 +0000

    Fix lack of parameter length in certain cases (bug #1010538).

commit 3ba6ea8fa01dc3964564ca97ce81af1aec966b1d
Author: talliesin <>
Date:   Thu Dec 25 17:21:13 2008 +0000

    More explicit serialisation of numeric types, for added type-safety (reducing attack surface for exploits based on passing non-numeric data where numeric data is expected).

commit d2b636accacf481589387fcd7d659817ad05f1cf
Author: talliesin <>
Date:   Thu Dec 25 16:35:00 2008 +0000

    Improved efficiency in serialising bytea values from .NET representation to postgres literal.

commit 9759b034e29ccc06d157caa48a679dac1a04d903
Author: talliesin <>
Date:   Wed Dec 24 11:41:08 2008 +0000

    *** empty log message ***

commit 79f4a47b0a51f85c166a952becd6710479f6e8df
Author: talliesin <>
Date:   Wed Dec 24 11:35:51 2008 +0000

    BitString handling: 1 minor bug fix, comments on some of the potentially more confusing code.

commit 38f33d62334f30ba02c11608aa36e6e6d1e94863
Author: talliesin <>
Date:   Wed Dec 24 00:17:45 2008 +0000

    Support for bit strings.

commit eeb3c580e1324ae032ec123bcbcbb3980709f644
Author: talliesin <>
Date:   Mon Dec 22 10:12:38 2008 +0000

    Even greater concurrency on creation of NpgsqlBackendTypeMapping.

commit 7fe4bd9aaea37a9948f9f4fc5cddd4635a99e3f0
Author: talliesin <>
Date:   Mon Dec 22 10:07:41 2008 +0000

    Greater concurrency on creation of NpgsqlBackendTypeMapping.

commit 3fbb058ab4e20f844a158c18ecbb83b72a961516
Author: talliesin <>
Date:   Mon Dec 22 00:03:40 2008 +0000

    Make money datatype handling locale-independent (see item [#1010503]).

commit da46471a7a7678fb6c6f81f479cda5da667c4e27
Author: talliesin <>
Date:   Sun Dec 21 01:58:01 2008 +0000

    *** empty log message ***

commit efaa82e1a0642e169e1494251dfe9bcb197e7e9e
Author: talliesin <>
Date:   Sat Dec 20 19:25:23 2008 +0000

    Remove (now pointless and only recently added) version info from connection. Take default value from assembly info. Take class info for logging and resources from reflection information.

commit 5e64e6d46b125f1238e848038e5ea707234295c5
Author: jbcooley <>
Date:   Sat Dec 20 19:07:09 2008 +0000

    updated assembly version for development.  Now exposing reflected assembly version in the connection.

commit 6c28afa3598c57034b90f5490e1da900ee834890
Author: talliesin <>
Date:   Sat Dec 20 17:43:34 2008 +0000

    Cope with standard_conforming_strings being "on". No warnings if escape_string_warning is "on". Fix for syntax errors on certain constructs in close proximity to parameter values.

commit 87def80d71735931c941d7429ed74467b8ecc0a2
Author: talliesin <>
Date:   Fri Dec 19 12:31:50 2008 +0000

    Change check for string elements in ArrayNativeToBackendTypeConverter.WriteItem to check for any directly supported element. Move test for item being an array above test for it being IEnumerable.

commit af60ebe0ce53ff96c8c5fc42e33bc9709db1b930
Author: talliesin <>
Date:   Fri Dec 19 01:26:10 2008 +0000

    GetOrdinal fixes for kana-width insensitivity and exception if field name not found. See feature request #1010496

commit 01765b14c03680abe48ce9a183c1534ff51d0a5f
Author: fxjr <>
Date:   Mon Dec 15 03:53:24 2008 +0000

    Updated changelog for 2.0.2 release

commit 1bc009b77ccd508655c7c91a715c2afaff752bc1
Author: jbcooley <>
Date:   Mon Dec 15 03:42:34 2008 +0000

    Change ExpectedException attriubte to pass type.

commit e423ed8dbeeb888ac93b67522e7a52dcff672d41
Author: jbcooley <>
Date:   Mon Dec 15 03:11:25 2008 +0000

    Updated version for 2.0.2 release.

commit 2e712606aa6655fbbd609782cfe503452e1543fc
Author: fxjr <>
Date:   Mon Dec 15 03:00:37 2008 +0000

    Updated ReleaseNotes and ChangeLog for 2.0.2 release.

commit eddfa09d14a571b01b4e760a44e7188d87040d95
Author: jbcooley <>
Date:   Wed Dec 10 04:42:05 2008 +0000

    Reuse connection in transaction - test provided by Wouter Claeys

commit b5696372dd010626346f9d28a434f045fb116b21
Author: jbcooley <>
Date:   Wed Dec 10 04:39:57 2008 +0000

    Add connection pool tests

commit 7d053cf4897d31ec7eaa4369af95b368d038ff87
Author: jbcooley <>
Date:   Wed Dec 10 04:39:16 2008 +0000

    Handle case where same connection object is closed and opened again while inside a TransactionScope.

commit 992896d58b2b6f12b8d7a79647462a60f83c32cf
Author: jbcooley <>
Date:   Wed Dec 10 04:09:03 2008 +0000

    Support ISinglePhaseNotification to simplify some distributed transaction workflows

commit c14688da8420f4663299041b7dc529dd5eebdb92
Author: jbcooley <>
Date:   Thu Dec 4 04:20:49 2008 +0000

    Ensure refcursors work with System.Transactions.

commit db3469f51c87cc48bd9a638e8ae7e5007fee9316
Author: jbcooley <>
Date:   Thu Dec 4 04:19:37 2008 +0000

    Tests for NpgsqlInterval - to be expanded to other NpgsqlTypes in the future.

commit 37d791d1163e323f4e1a86f42151b1b1d1f0d0a0
Author: jbcooley <>
Date:   Thu Dec 4 04:18:16 2008 +0000

    Handle negative values (thanks to Mathieu Fenniak <mathieu@fenniak.net>) and singular values such as "1 day"

commit 87f9ad13e1d1b843327c60c74aa4cc53de7a08c8
Author: fxjr <>
Date:   Mon Dec 1 03:07:57 2008 +0000

    [#1010521] NpgsqlInterval should be quoted.
    Added corresponding test case.
    
    Thanks Todd Lucas (tl @nospam@ onlyshallow.com) for patch.

commit 57d01e1f34d902b86492a0804721f20aa7de6d74
Author: fxjr <>
Date:   Mon Dec 1 02:44:28 2008 +0000

    [#1010488] NgsqlParameter of type containing DBNull values throws NullReferenceException
    Patch [#1010514] array handling.
    
    Thanks to Rikard Pavelic (rikard.pavelic @nospam@ zg.htnet.hr) for array handling patch which fixed 1010488 bug. The patch applied was slightly different from original but with the same effect. Just changed to not add another if and use all the conditions in the existing if.

commit 429d55f848d6673851d02f7c8966ba4605eddae2
Author: fxjr <>
Date:   Mon Nov 24 14:01:23 2008 +0000

    Fixed problem where parameters size wasn't being handled with prepared statements.
    This fix Daniel AspNet Providers Ticket 7.
    
    Thanks Daniel for bringing this to my attention.
    
    http://dev.nauck-it.de/aspsqlprovider/ticket/7

commit 64a099f34f18aa77f400a855a3445ab8723f51d6
Author: fxjr <>
Date:   Tue Nov 18 14:59:49 2008 +0000

    Removed a redundant check which was already being done with previous patch.

commit 59718b414fe5c90d33d96320edee3d51b34f0476
Author: fxjr <>
Date:   Tue Nov 18 14:57:05 2008 +0000

    Made NpgsqlConnection.Close log its entrance before any other code.
    Fixed condition tested by Close to see if it should run or not.

commit 70b482d42412cc76b7b1e3a25b4208a12ef2e596
Author: fxjr <>
Date:   Thu Nov 13 13:54:02 2008 +0000

    Added documentation about ProviderFactory configuration. Thanks Alaric for heads up.

commit a3677021d56b94b82470576fa24153c4eeaec8cc
Author: fxjr <>
Date:   Tue Nov 11 17:58:31 2008 +0000

    [#1010495] Bad performance calling a (empty) function very often.
    Now NpgsqlCommand caches previous results of internal checkings which were taking too much time if the command was used more than once.

commit 901193aa2b3e2a0c96bbae73d265b75aec638e8e
Author: fxjr <>
Date:   Tue Nov 11 16:58:22 2008 +0000

    Fixed a typo which prevented DateTime.MaxValue to work on previous patch.
    Thanks Andrus Moor for heads up.

commit cced8137d0571cd09426ea36be10fe76004570be
Author: jbcooley <>
Date:   Tue Nov 4 22:01:14 2008 +0000

    Updated varchar maximum length.

commit 210a7e02b6fc47912737a1648783a2f3c98c1760
Author: fxjr <>
Date:   Tue Nov 4 03:38:20 2008 +0000

    Updated assembly info for 2.0.1 release

commit 33179276b506d81d385a3de297e38af43601e4ad
Author: fxjr <>
Date:   Tue Nov 4 03:28:11 2008 +0000

    Updated release notes for 2.0.1 release

commit 23779e632939249dfb321e7894d9c82142b810cf
Author: jbcooley <>
Date:   Tue Nov 4 03:23:45 2008 +0000

    Embedded NpgsqlMetaData.xml as a resource.

commit 845d2ec29b423759ed2de00bcf830e982a4feaec
Author: jbcooley <>
Date:   Tue Nov 4 02:32:50 2008 +0000

    Add schema qualification to table name when fetching sequence values.

commit a4e7e78b39260999bdec268b0f6660b3869f41f8
Author: jbcooley <>
Date:   Tue Nov 4 00:17:05 2008 +0000

    Change constructors so the Microsoft C# compiler recognizes the fields have been set.

commit 21d4137b2493baf17ee7ebddbd85c885e5ad0ef8
Author: fxjr <>
Date:   Mon Oct 27 15:07:00 2008 +0000

    Changed at Miguel's request to provide same constructors and properties as previous version of Npgsql in order to not break existing code.

commit 1e47b101114f04c510df55165754d4684c88d203
Author: fxjr <>
Date:   Mon Oct 27 14:30:35 2008 +0000

    Changed public fields into properties. Miguel de Icaza from Mono project asked for this change because previous versions of Npgsql used to have properties and this change could break existing clients.

commit 8ca12d8f7fc2d1b722b60616529a7e858788e995
Author: fxjr <>
Date:   Mon Oct 27 14:22:07 2008 +0000

    Changed tabs to spaces 4

commit aa6fa44cabf4c608c1b07a5f4e8f2a78edf5f3fe
Author: fxjr <>
Date:   Sun Oct 19 13:40:39 2008 +0000

    Added tests for date and infinity comparisions.
    
    Thanks Andrus Moor for heads up and test case.

commit 8c7226fa1f45f5875a60d09c9115fd999878fb53
Author: fxjr <>
Date:   Sun Oct 19 13:39:18 2008 +0000

    Fix for a date and infinity values comparison.
    From patch:
    
    "This check for Datetime.minvalue and maxvalue is needed in order to
    workaround a problem when comparing date values with infinity.
    This is a known issue with postgresql and it is reported here:
    http://archives.postgresql.org/pgsql-general/2008-10/msg00535.php
    Josh's solution to add cast is documented here:
    http://pgfoundry.org/forum/message.php?msg_id=1004118"
    
    Thanks Josh for fix idea.

commit a0bb27fc923f601998fab1a5787d030a1fb57250
Author: fxjr <>
Date:   Thu Oct 16 14:05:29 2008 +0000

    Fixed problem with literal boolean values. Previous patch only fixed for bit mapping. I forgot to fix for boolean mapping too! Thanks Josh Cooley for test cases and heads up.

commit 235967ba7346d2dfeca7f812d2d50aabe8706f9c
Author: jbcooley <>
Date:   Wed Oct 15 00:16:58 2008 +0000

    Create test for boolean literal support in parameters.

commit d7bb2fe1cc808528db6ceb2c8836c6a93408db38
Author: fxjr <>
Date:   Sat Oct 11 00:34:18 2008 +0000

    Fixed a bug where boolean values were being quoted which caused problems with edmgen support. Also, fixed a problem raised by this modification when using protocol 2: when issuing an execute statement after being prepared the cast wasn't being issued. It was being sent as execute npgsqlplan1(1) when it should be execute npgsqlplan1(1::bit).

commit 8d4a0d833809d867e2bb609c1c05e91946bc5cef
Author: jbcooley <>
Date:   Tue Oct 7 00:55:54 2008 +0000

    Test for GetFieldType with arrays.

commit 85c159ae32f7412a05be6106a284f426cc5bdff2
Author: jbcooley <>
Date:   Tue Oct 7 00:54:46 2008 +0000

    Provide type information for arrays and ensure that NpgsqlBackendTypeInfo always has Type.

commit ca470def2ac6ef1949d8f6cb51a27ab83c7a935f
Author: jbcooley <>
Date:   Mon Oct 6 04:23:39 2008 +0000

    Updated for 2.0 release

commit 3e515bb67551de7017d49dd7b6afe7ee5c6f3133
Author: jbcooley <>
Date:   Mon Oct 6 04:15:18 2008 +0000

    updated to 2.0 for final release.

commit 6b4e77d13db2f18647e75492813d6c65c54003fd
Author: jbcooley <>
Date:   Mon Oct 6 04:07:15 2008 +0000

    removed dependencies on System.Web

commit bf4e92b57178ae1773f47e6b2c12cfabd724ab8d
Author: fxjr <>
Date:   Sun Oct 5 17:35:00 2008 +0000

    [#1010488] NgsqlParameter of type containing DBNull values throws NullReferenceException. Thanks Christ Akkermans for testcase. Now, Npgsql handles first elements which aren't null as Arrays and IEnumerables. Also added test case for this bug.

commit 08ac38eb230780667aec64f84d611f4d79f91a80
Author: fxjr <>
Date:   Sun Oct 5 17:17:07 2008 +0000

    Changed tabs to spaces (4)

commit 9023b99ee24c58b0e87205dd0583a1551dd22761
Author: fxjr <>
Date:   Sat Oct 4 05:58:02 2008 +0000

    Removed build of asp.net providers as well as System.Web dependencies. Now we use Daniel Nauck's providers.

commit d320508c0cb66ee9abadb8573a135a8922963712
Author: fxjr <>
Date:   Thu Oct 2 14:00:06 2008 +0000

    Fixed misleading timeout error message. As the only timeout which was being reported was about connection establishment, command execution timeouts were being misinterpreted and users couldn't find easily what was going wrong.

commit 45cdcc7b88b69e7e3858a06bbd15f0a1f1fc9ad1
Author: jbcooley <>
Date:   Tue Sep 30 03:45:56 2008 +0000

    use standard literal formatters for strings, booleans, and guids.

commit 4bc968fea65c1428de8dd62e5d752cbb03d2e9fb
Author: fxjr <>
Date:   Mon Sep 29 22:41:04 2008 +0000

    [npgsql-help][1004020] Backend sent unrecognized response type: q
    
    References for previous patch: http://pgfoundry.org/forum/message.php?msg_id=1004022.

commit 0c197310710e8a0fcaacce712aadb29fd75a394b
Author: fxjr <>
Date:   Mon Sep 29 22:38:43 2008 +0000

    Fixed error message: Backend sent unrecognized response type: q. There was an error on Error message handling where we were letting some fields without processing. Thanks Eric Montague (eric @nospam@ nuws.com) for heads up and tests.

commit 43e9f40337d90b3b2011d6b3aeff6ad330b69b9c
Author: fxjr <>
Date:   Mon Sep 29 15:34:10 2008 +0000

    Added casts when parameter is null. This was causing problems with prepare statements when parameter type was set to a value other than DbType.Object and its value was set to null. The prepare statement wasn't receiving the cast. Thanks Waldemar Bergstreiser (wbr at bergstreiser dot com) for heads up.

commit 5c10bbd6c8fd086f73e4967d9a3b0d9f1ff98636
Author: jbcooley <>
Date:   Sun Sep 28 01:27:55 2008 +0000

    Quote uuid constants when used in expression.  Thanks to Yann Robin for the fix.

commit a70998d9fea2870002e294ea08ea26f54951c1e5
Author: fxjr <>
Date:   Tue Sep 23 04:04:19 2008 +0000

    Added try/catch to handle possible problems when cancelling a request because of a threadabortexception. Thanks to Andreas Schönebeck for heads up.

commit ba502eddea2fd99ea513d200b335ce9bda351938
Author: fxjr <>
Date:   Tue Sep 23 03:59:38 2008 +0000

    Fixed tabs to 4 spaces.

commit 97aeb3a9c97dd1ce03f5abc293c8a7409c4e8412
Author: fxjr <>
Date:   Tue Sep 23 03:36:36 2008 +0000

    [#1010461] Prepare invalid SQL statement causes ERROR: 26000 when Npgsql.NpgsqlConnection disposed. Fixed in previous revision. Forgot to reference bug report.

commit ba48730e85815e96f9454d594e59e9d5f8b30cdc
Author: fxjr <>
Date:   Thu Sep 18 05:26:40 2008 +0000

    Fixed a bug where Npgsql was throwing exceptions when releasing connection to pool and there were portal names which were associated with invalid prepared queries. Npgsql tried to deallocate them and threw exceptions. Now this is property surrounded by a try/catch block.

commit afe82cbdea1806049cf5fc47615642925d93955f
Author: fxjr <>
Date:   Thu Sep 18 04:58:54 2008 +0000

    Fixed tabs to 4 spaces
    
    Added test to check a problem where prepared statements were lacking casts even when user set dbtype or npgsqldbtype. Now the casts are properly added when needed. Thanks Waldemar Bergstreiser (wbr at bergstreiser dot com) for heads up and test case.

commit 72c865f8dbf650a9b86cf8e6dc1176c34b2ca682
Author: fxjr <>
Date:   Thu Sep 18 04:52:31 2008 +0000

    Fixed tabs to 4 spaces.
    
    Fixed a problem where prepared statements were lacking casts even when user set dbtype or npgsqldbtype. Now the casts are properly added when needed.
    Thanks Waldemar Bergstreiser (wbr at bergstreiser dot com) for heads up and testcase.

commit abf0cacc92781253ff6c71da7fce8eada1a04341
Author: fxjr <>
Date:   Thu Sep 18 04:48:54 2008 +0000

    Fixed tabs to be changed to 4 spaces.

commit b1d56cda911d736beb2a25184669c526824d69d3
Author: fxjr <>
Date:   Tue Sep 16 01:02:40 2008 +0000

    [#1010474] Savepoint support is missing.
    Fixed. Also converted all tabs to spaces 4.

commit 91d3893d15fcde2e5505b26d5551073239dd9d5a
Author: fxjr <>
Date:   Fri Sep 12 04:07:51 2008 +0000

    Updated changelog for Npgsql RC2 release

commit c6cd9083858f1aa847d0d872e5b9b57b6d6c6a18
Author: fxjr <>
Date:   Fri Sep 12 04:06:03 2008 +0000

    Added release notes for Npgsql2 RC2 release.

commit e41f0d832a0201c3f9bbd7e669951777df87d19d
Author: fxjr <>
Date:   Fri Sep 12 03:35:33 2008 +0000

    Changed assembly version to RC2

commit 85b91eaffc68fe92f6670c342b828a64546a0dbc
Author: fxjr <>
Date:   Wed Sep 10 05:02:32 2008 +0000

    Updated project homepage

commit 68b0776580f6700dd70daa88652ce105467be23e
Author: fxjr <>
Date:   Mon Sep 8 14:25:07 2008 +0000

    Added a test for bug 1006158

commit 75cfbfe400324a20262980a90cd343f29f52d595
Author: fxjr <>
Date:   Mon Sep 8 14:22:14 2008 +0000

    [1010426] Broken Connections. Added some code to help minimize those problems. Now Npgsql can handle threadabort exceptions and try to clean up things.

commit c7d99a3dd434fb6a22694d423adfebcc91670818
Author: fxjr <>
Date:   Mon Sep 8 14:02:31 2008 +0000

    Uncommented out the code which checks if a connection is valid when returning from pool.

commit 86f62a111f047f7328fce669263a53ad3a3703cd
Author: fxjr <>
Date:   Mon Sep 8 14:01:00 2008 +0000

    [1010466] Npgsql isn't using pool when executing under Mono.
    
    Also, changes the way Npgsql checks if the connection is ok when returning from pool. Previous code was a little bit crypt and also was less performant as it used a new generated guid and listen and notification queries.

commit 5d3c35ded25b6233f68b724de4a7ca1772b9bafb
Author: fxjr <>
Date:   Fri Sep 5 14:57:40 2008 +0000

    Fixed ClearAllPools which were missing a line to remove the ConnectorsList. Thanks Christian Holzner (support at tuga dot it) for heads up and patch.

commit ff0b713e42e3a17b94fffdf4f8a5de92684917d0
Author: fxjr <>
Date:   Fri Sep 5 14:14:55 2008 +0000

    Fixed an improperly added finally block to handle closeconnection commandbehavior. By closing the connection in a finally block, I broke the fetch data on demand. Now, I only close the connection when there is an exception.
    
    Thanks Christian Holzner (support at tuga dot it) for heads up and patch.

commit df0659e98acf2cc0169810622ea73170263b604e
Author: jbcooley <>
Date:   Thu Sep 4 02:15:54 2008 +0000

    added condition to referenced 3.5 assemblies

commit 667266ad45777844402ce82526ffd8c68e01dc6f
Author: jbcooley <>
Date:   Wed Sep 3 01:46:05 2008 +0000

    change multiset value to read from type rather than attribute.  Also fixed functions, function parameters and procedure parameters to no longer depend on pg_attribute.  This corrected the parameter generations and drastically improved performance.

commit 554a89048688bb96611efca274b69a5559e014cc
Author: fxjr <>
Date:   Mon Sep 1 20:58:25 2008 +0000

    [npgsql-open-discussion][1003946] RE: Connection leak in ExecuteReader/CloseConnection. Fixed a problem where Npgsql wasn't closing the connection if commandbehavior was said to close it and an error occured while executing ExecuteReader(CommandBehavior) method. Thanks Andrus Moor and Alaric Dailey for heads up and tests.

commit ff8b7683557dee9d60558f40f911c87c0db9c859
Author: fxjr <>
Date:   Fri Aug 29 19:25:32 2008 +0000

    [#1010415] Stream seek error on close. Fix a problem where protocol was gonig out of sync and data was being left to be read on stream.

commit 5859e23da7ab9e66b0c424e5b0470f961092c4b8
Author: jbcooley <>
Date:   Tue Aug 26 01:28:27 2008 +0000

    more support for uuid type.  Thanks to Yann Robin for this and many of the previous entity framework bug fixes.

commit 1cf1eb2698001a3ccdc53602412d66a980a2e6e5
Author: jbcooley <>
Date:   Sun Aug 24 18:14:47 2008 +0000

    Added xml type support

commit 273c628cfb53067cbe15c5b9e0affbbfff5beeae
Author: jbcooley <>
Date:   Sun Aug 24 18:13:05 2008 +0000

    Added xml type support and fixed uuid

commit 5059fbca2d3a04039c13c1042784e340ec8de270
Author: jbcooley <>
Date:   Sun Aug 24 18:11:13 2008 +0000

    removed completed TODO comment.

commit fc9769f9b3391eaecfd9a193e88ec3d7e67e57a8
Author: jbcooley <>
Date:   Sat Aug 23 21:30:19 2008 +0000

    support for more constant types

commit 59095f5e5876c9ce148c68b99567f32811256469
Author: jbcooley <>
Date:   Sat Aug 23 21:28:13 2008 +0000

    Support for more canonical functions

commit 957452d87894ecb8d235945050d387daadbaa6ff
Author: jbcooley <>
Date:   Fri Aug 22 21:02:59 2008 +0000

    support cross join and string concat

commit 4c9a6781b48e5ce245be6c5eae7d241f54e1e080
Author: jbcooley <>
Date:   Fri Aug 22 21:02:00 2008 +0000

    quote column names

commit c8fec0d0a8a88532bd1583e1d3bec4e9e2fc58e4
Author: jbcooley <>
Date:   Fri Aug 22 20:59:34 2008 +0000

    Fix insert and update syntax.  Support cross join

commit 58d33329046b52a47a3d9db7dc27699d4ab97315
Author: jbcooley <>
Date:   Thu Aug 21 04:06:49 2008 +0000

    fix metadata queries to match the RTM release

commit d229ecb087c3caac5b5e1acfaf73d41bb6bdc8fa
Author: fxjr <>
Date:   Wed Aug 20 06:08:50 2008 +0000

    Added support to see what string was read from server when debug is on. I don't know why I didn't add that before!! :)

commit 5c04a6d9e201a2f0236f01c5db6c7625c8db7d4d
Author: jbcooley <>
Date:   Sat Aug 16 03:35:08 2008 +0000

    added support for uuid type

commit 1c3928b61ed253d552a033f956197edfd9214f3f
Author: jbcooley <>
Date:   Sat Aug 16 03:15:30 2008 +0000

    update precision to int4.

commit a748fa5e328f9d0320309dec731c54b4c7f5d75e
Author: fxjr <>
Date:   Sat Aug 16 01:55:10 2008 +0000

    [#1010401] uuid data type not parsed correctly to it's native .NET type.
    Added test which confirms this bug is fixed.

commit bd43fed4236081906e8e7f9e84c3e4cbad00c0e4
Author: fxjr <>
Date:   Thu Aug 14 21:04:41 2008 +0000

    [#1010457] Avoid throwing exception when parsing an integer.
    Thanks Alain Cao (alain @nospam@ effigy.be) for patch.

commit a7ecc5ba975f3bc4f0c31908381c6ed6a6aef75e
Author: fxjr <>
Date:   Wed Aug 13 18:52:08 2008 +0000

    Added missing support to not add casts to parameters when not needed when calling functions. This support also removes casts when passing null values.

commit c6eda4a342859c6604f3d4f75ec93f6c01ab8a73
Author: fxjr <>
Date:   Wed Aug 13 05:59:17 2008 +0000

    Added some tests for DataAdapter.Update method.

commit 7d769b247118779b669825696b52d40b080bc6f5
Author: jbcooley <>
Date:   Tue Aug 12 03:31:52 2008 +0000

    Update for .NET 3.5 SP1 RTM

commit 4b3ce1505ed445029fb71b57ee58d9dba8222be5
Author: jbcooley <>
Date:   Tue Aug 12 03:30:02 2008 +0000

    Update for .NET 3.5 SP1 RTM + bug fix in GetStoreType throwing ArgumentException (thanks again to Thanh Trung Le)

commit 4f051121b29d1d74ac3d05479ac33281d7bf11bf
Author: jbcooley <>
Date:   Mon Aug 11 03:15:34 2008 +0000

    Added test for RecordsAffected

commit 6f439ced52e717b67e515ffb37fbac1a466d549c
Author: fxjr <>
Date:   Sun Aug 10 06:21:58 2008 +0000

    [#1000581] Possibly bug: not initialized Connector.
    Added another check for Connector initialization. Thanks Stan Lagun for testcase.

commit 1e377d79963758595346b5178bf80d6c2a46a0a7
Author: fxjr <>
Date:   Sat Aug 9 06:28:43 2008 +0000

    Fixed regression where quoting numbers could give errors. Now, int2, int4 and int8 aren't quoted anymore.
    Thanks Josh Cooley and Mike S for heads up.
    See http://pgfoundry.org/forum/message.php?msg_id=1003837 for discussion about this problem.

commit 700c95cdf87d04bde676f7519c18a406d801b23b
Author: jbcooley <>
Date:   Thu Jul 31 02:55:18 2008 +0000

    Updates to SQL generation.  Now seem to pass all tests that don't require lateral join (CROSS APPLY in Sql Server)

commit 0d3bbb4ee4187941753d00a7bdb696e574bdf831
Author: jbcooley <>
Date:   Tue Jul 29 02:17:20 2008 +0000

    Updated changelog for Npgsql 2.0 RC1 release (version 1.99.1)

commit 4148b1f49c04e3c86b8c3de0803c96ed91374d1c
Author: jbcooley <>
Date:   Tue Jul 29 02:16:04 2008 +0000

    Updated changelog for Npgsql 2.0 RC1 release

commit dcdb0302dbd49e6b9e7a54ad7117206fa8a9f330
Author: jbcooley <>
Date:   Tue Jul 29 01:47:10 2008 +0000

    Make Npgsql more stable in the face of Thread.Abort.  Many thanks to Andreas Schönebeck for reporting this and providing a very solid test case.

commit ef6f95deb187ed73d62db234b373ad855a37b301
Author: jbcooley <>
Date:   Tue Jul 29 01:35:53 2008 +0000

    Bug 1010440 - Check for correct type when getting store type.
      Thanks to Thanh Trung Le for reporting the bug and offering the solution.

commit 00c3eedb2cd16b89113d2f5db0ed572e965e9c06
Author: fxjr <>
Date:   Mon Jul 28 05:59:12 2008 +0000

    [#1010231] Reading result set with UUID is very slow
    
    Forgot to add the patch for the NpgsqlTypeConverters.cs file. Sorry for that. Now cvs head compiles ok. Thanks Matthew Gabeler-Lee and Josh Cooley for heads up.

commit e8d7ebe1282448596a59e2b4f903f211e7124cad
Author: jbcooley <>
Date:   Tue Jul 22 05:15:09 2008 +0000

    quote identifiers when generating sql

commit 129c7d1771b6b008ae210fe0d2c1d9ad6ba44d82
Author: jbcooley <>
Date:   Tue Jul 22 05:13:02 2008 +0000

    Improve function metadata queries

commit aaafe7f8e2da148852c28bd01543816d9bb4411e
Author: fxjr <>
Date:   Sun Jul 20 05:02:31 2008 +0000

    [#1010231] Reading result set with UUID is very slow
    [#1010230] Reading result set with UUID is very slow
    
    Applied patch to handle uuid types better. Now, instead of relying on ChangeType, it was added an explicit handler for uuid types.
    Thanks Michael Parshin and Matthew Gabeler-Lee for patches.

commit 4e04a98ce2d28fbdbdfc1812dda9928654da6685
Author: fxjr <>
Date:   Sun Jul 13 23:21:16 2008 +0000

    [#1010425] Patch for actual german translation
    
    Added missing german localization files and fix VS.Net 2008 project file to use them and previous french localization commited.
    Thanks Christian Graefe (christian.graefe @nospam@ web.de) for patch.

commit 96e0834d2681e15a6954cc4dea21806e4069c1a0
Author: fxjr <>
Date:   Thu Jul 10 05:10:44 2008 +0000

    Fixed a problem where LargeObjectManager was incorrectly closing the connection.
    Thanks Jordan A from forum discussion: http://pgfoundry.org/forum/forum.php?thread_id=1790&forum_id=519 for heads up.

commit b2d092ec99938c20df2bec0781448b70a8939202
Author: fxjr <>
Date:   Wed Jul 9 03:40:34 2008 +0000

    Added support to not add type casts with prepared statements. Previous patch only added this capability for non prepared queries. Now, types without casts have the type written as "unknown" so type inference is done by server backend.

commit 4afa3c1915ed11ebbf41e42755221ac304cfb7f9
Author: fxjr <>
Date:   Fri Jul 4 15:34:33 2008 +0000

    [#1010424] French localization
    Added French localization. Thanks Mathieu Cartoixa (mathieu.cartoixa @nospam@ free.fr) for patch.

commit 6014ed30a806e004bf6cbfc18bc3191b36183db4
Author: fxjr <>
Date:   Thu Jul 3 19:50:26 2008 +0000

    [#1010421] Matching of parameter names should be case insensitive.
    Npgsql now searches for index of parameter names using case sensitivity and case insensitivity.
    Thanks Waldemar Bergstreiser for patch.

commit 8355ab45bfa6b74a1898bb3cfa03bc4c5531035c
Author: fxjr <>
Date:   Thu Jun 26 14:31:50 2008 +0000

    Added support to not add casts to null values.
    Thanks Waldemar Bergstreiser for heads up.

commit 90635e869c4fa5443819ecc1ab87c1ecefb03b63
Author: talliesin <>
Date:   Mon Jun 23 13:18:52 2008 +0000

    NpgsqlConnection.State only returns Open or Closed. FullState returns Or'd version.

commit 71cea82eaebcc965dd92e94348e8d9fb62705bb4
Author: fxjr <>
Date:   Sun Jun 22 16:48:08 2008 +0000

    Added tests for parameter casts.

commit 0dc8a34d2437eb9da5a4631c01a3ccad575c1058
Author: fxjr <>
Date:   Sun Jun 22 16:21:39 2008 +0000

    [#1003400] Later type binding for DbType.Object
    
    Fixed problems with explicit parameter datatype casting. Now, whenever as parameter has a dbtype.object data type, the cast will be turned off. This will revert the flexibility of letting the type specification to postgresql itself.
    
    If a user wants to turn cast on, just specify a dbtype value other than object or specify an NpgsqlDbType. See: http://pgfoundry.org/forum/message.php?msg_id=1003583, http://pgfoundry.org/forum/message.php?msg_id=1003620 and http://pgfoundry.org/tracker/index.php?func=detail&aid=1003400&group_id=1000140&atid=592 for discussions about that. Also, DbType.Object is mapped in NpgsqlTypesHelper as an alias to text datatype on internal mapping.
    
    Thanks Waldemar Bergstreiser and Andrus Moor for discussions about that.

commit f414d028df70042efc635f7d9fc1ac8aeff94841
Author: jbcooley <>
Date:   Tue May 20 04:06:58 2008 +0000

    updates to Entity Framework support for .NET 3.5 SP1 beta

commit 259b95b0d8db40659fc1e73d7c5a502e58102deb
Author: jbcooley <>
Date:   Fri May 16 02:42:48 2008 +0000

    Updated for beta 4 release

commit c5ab0c96d19245482d2b13c655ce0bfd11e9a432
Author: jbcooley <>
Date:   Wed May 14 03:55:58 2008 +0000

    bump version number for beta 4

commit fd20573db7b4e39fa21e4f8e7e0f5b51471c8887
Author: jbcooley <>
Date:   Wed May 14 03:31:53 2008 +0000

    bug #1010372.  Changed the way bytes were parsed.  Thanks to Matt Robinson for reporting the bug.

commit d1517ac70e3b1f1cd2f1ab5508c091a5180ae100
Author: jbcooley <>
Date:   Wed May 14 03:27:27 2008 +0000

    Handle IOExceptions and translate them to NpgsqlExceptions.  Also migrate IOExceptions from the listen thread to the thread owning the connection.

commit 959c2aa099cb4724b97cf5d3f7588732bbb4e329
Author: jbcooley <>
Date:   Wed May 7 03:35:23 2008 +0000

    Check that a defining query has a value before using it.

commit 744832424ab9c9be13c1028e0900fc31724976b2
Author: jbcooley <>
Date:   Wed May 7 03:34:44 2008 +0000

    Restrict metadata access from the pg_catalog and information_schema schemas.  This makes edmgen return only interesting tables.  In my samples, these are the tables in public.  (Similar for views, columns, keys, etc.)

commit 12a706724fad3e6fb5a88533883f55218c3de1a9
Author: jbcooley <>
Date:   Mon May 5 23:04:59 2008 +0000

    Additional

commit 2f04d5822466c6de582f25c7e47e7ea5600dcbf9
Author: jbcooley <>
Date:   Mon May 5 23:02:26 2008 +0000

    Improvements in System.Transactions support.  Fixed NullReferenceException initially supported by Chris Coleman.

commit 1079754fa7d58748824924c437f1854cf85f006c
Author: fxjr <>
Date:   Sat May 3 15:33:19 2008 +0000

    Added a prepared bytea support test.

commit 56270e413696dbb327d03874d208bc06197037e2
Author: fxjr <>
Date:   Fri May 2 15:00:43 2008 +0000

    Added missing System.Transactions.dll assembly so tests can be compiled ok.

commit 5cf8f8bcc3508bb0493e5d866a3136a198b1c968
Author: jbcooley <>
Date:   Mon Apr 28 01:55:00 2008 +0000

    Added tests for System.Transactions

commit b98d03c06ac170a6497bee9c5040a6ed4c0c5b59
Author: jbcooley <>
Date:   Mon Apr 28 01:54:14 2008 +0000

    Improvements to System.Transactions support.  Thanks to Chris Coleman for reporting the bug which lead to these improvements.

commit c2780e9abb507527f6527acd4b12c8e85715440e
Author: jbcooley <>
Date:   Mon Apr 28 01:50:30 2008 +0000

    Make Fill test work with version 2 of the protocol

commit b2da967406ed93c8fe5fe9ea1f86fe54168ad432
Author: jbcooley <>
Date:   Sat Apr 12 15:52:24 2008 +0000

    Test for DataTable.Load and using varchar and char.

commit 8ca421cb1977e4d3fa97e8a749151352de9f4ae3
Author: jbcooley <>
Date:   Sat Apr 12 15:47:12 2008 +0000

    Tests for Fill and populating schema

commit 3b747e00e8320e687b7e991b76256058553294ca
Author: jbcooley <>
Date:   Sat Apr 12 15:46:07 2008 +0000

    #1010371 - Fix DataTable.Load by fixing NpgsqlDataReader.GetSchemaTable.  Thanks to Fraser Kp for reporting the bug.

commit 5f720696e0bc42a555e44dc7c7269fbabac4e5c0
Author: fxjr <>
Date:   Fri Apr 11 14:35:12 2008 +0000

    Readded cast for byte[] when handling bytea parameters which was removed by mistake. This was giving problems with byte[] support. Thanks Alaric for heads up.

commit c7c599c6c39ede68235cfa59b21d3d711e6b0323
Author: jbcooley <>
Date:   Fri Apr 11 02:55:51 2008 +0000

    Add Entity Framework configurations to allow 2.0 versions and 3.5 + Entity Framework versions through configuration selection.

commit 6caad10d2bf2c1adaf858d97b68e13b61afd6b2e
Author: jbcooley <>
Date:   Fri Apr 11 02:43:51 2008 +0000

    Fully qualify type name for ProviderException so that it doesn't conflict with System.Data.ProviderException in System.Data.Entity assembly

commit 53342c3734129aa6e322267ee5dc0caa93bdacab
Author: jbcooley <>
Date:   Thu Apr 10 23:29:49 2008 +0000

    Sspi patch from Brar Piening

commit ed36f6a172dfe0297d44c3f2eca878b2e57ea3a4
Author: fxjr <>
Date:   Thu Apr 10 03:06:42 2008 +0000

    Fixed mapping for char parameter values. Now, Npgsql won't throw a DbType cast exception when trying to assign a char to a parameter value. Also, Npgsql will send the proper cast ::char when sending queries. See http://pgfoundry.org/forum/message.php?msg_id=1003367 for discussion about that. Thanks Andrus Moor for testcase.

commit 7691b07502bfa59c1f525b9a39788211b4ebf424
Author: fxjr <>
Date:   Mon Apr 7 04:16:59 2008 +0000

    Updated changelog for Npgsql Beta3 release

commit 4c3149b01356650d13f14306c8cff050a3eacd15
Author: fxjr <>
Date:   Mon Apr 7 04:14:35 2008 +0000

    Updated release notes for Npgsql beta3 release

commit dd1ad04e4285d07b33104f25aaac1e68ba296a6a
Author: fxjr <>
Date:   Mon Apr 7 04:12:28 2008 +0000

    Added documentation about integrated security.

commit 0c46225a444189f0e1376a5e6b12ac90deee8052
Author: jbcooley <>
Date:   Mon Apr 7 04:02:43 2008 +0000

    Added additional resources to project

commit 34d584effe003d020e4a44413eb3caad391669f5
Author: jbcooley <>
Date:   Mon Apr 7 03:55:24 2008 +0000

    Change Integrated Security default to false.  Fix Integrated Security property to store using the correct key.

commit cc322037bdefa4782a031eb273ad678e4cbbe6b4
Author: jbcooley <>
Date:   Mon Apr 7 03:25:10 2008 +0000

    Added SSPI patch from Brar Piening

commit 4fdc22a1de2d03183ab3880fb805f5208978cdfc
Author: jbcooley <>
Date:   Sun Apr 6 00:28:39 2008 +0000

    Added assembly reference to fix build

commit 67cb1ec8bb52c5eacf193a063b6346dc51938703
Author: jbcooley <>
Date:   Sun Apr 6 00:28:13 2008 +0000

    Added missing files to fix build

commit 8d37351547a84345bb1f60c672dc3a324399952d
Author: fxjr <>
Date:   Sat Apr 5 17:05:20 2008 +0000

    Fixed assembly references. Fixed assembly signing.

commit 2440cfb84d266d49e97442efae227042c5f4c491
Author: fxjr <>
Date:   Sat Apr 5 04:23:32 2008 +0000

    Added missing DateDataTypes.cs file to project

commit 014c8ab7126e7c987b3af957c821b6dda7968780
Author: fxjr <>
Date:   Sat Apr 5 03:10:31 2008 +0000

    Updated RELEASENOTES.txt

commit e46793adeea835a3e8481df45aa1111727260d9c
Author: fxjr <>
Date:   Sat Apr 5 02:44:46 2008 +0000

    Updated Monodevelop project file.

commit 1cf8a1fadedb0d4b40133db0ef5f0acb9d83e42b
Author: fxjr <>
Date:   Sat Apr 5 02:43:27 2008 +0000

    Added missing assembly reference.

commit c2b63aa1a2b66d0bdd8df7127c59d049bd414aee
Author: fxjr <>
Date:   Sat Apr 5 02:41:56 2008 +0000

    Updated assembly version to Beta3 release

commit 2a79eb43aaf21751853ea80fbccf869cf2769e1a
Author: talliesin <>
Date:   Thu Apr 3 11:06:04 2008 +0000

    Don't change client encoding if we know it to already be utf-8. Thanks to David Bachmann.

commit 7cfbc471a0c313450b25a41be37f394596dd778b
Author: talliesin <>
Date:   Thu Apr 3 11:03:13 2008 +0000

    Don't change client encoding if we know it to already be utf-8. Thanks to David Bachmann.

commit a9ac4d2730245127e00fde11dbfec70338024c47
Author: fxjr <>
Date:   Wed Apr 2 15:16:24 2008 +0000

    [#1010312] Code cleanup. Thanks Alaric Dailey for patch.

commit 90856c4cd2180f3a7dcaafe61dae36d67e26ba55
Author: talliesin <>
Date:   Tue Apr 1 16:11:54 2008 +0000

    Update documentation

commit 8ff3b1b061b8605f9907679dbf4c20546014c152
Author: jbcooley <>
Date:   Wed Mar 26 01:34:42 2008 +0000

    Better support for the edmgen tool and other tools that use the manifest and metadata api

commit bedd01d899ba3f8bfc8995c089b50a880c2e715a
Author: talliesin <>
Date:   Tue Mar 25 14:55:59 2008 +0000

    Some more commenting

commit 79546d894f4b9feaf433f11ded9298487843af12
Author: fxjr <>
Date:   Sat Mar 22 23:17:31 2008 +0000

    Added a notice to not use execute a command inside a notification handler. Thanks Xavier Thomas (xavie dot .thomas dot 1980 at gmail dot com) for heads up.

commit 38adfee138a2ec406803a67739766effb3d35576
Author: talliesin <>
Date:   Thu Mar 20 11:15:34 2008 +0000

    *** empty log message ***

commit 6b78303bded1451f6c3190c472d19347ff256445
Author: jbcooley <>
Date:   Mon Mar 17 02:55:27 2008 +0000

    Added support for INTERSECT and EXCEPT.  Fixed LIMIT when used in joins.

commit 3b29fed3e82eff42a5a6b37c255986b7b4222fb9
Author: jbcooley <>
Date:   Sat Mar 15 04:24:13 2008 +0000

    Pass more tests by supporting more edm functions and better variable substitution

commit 722938b9c70d61b843ba95b3fd01bd03a7503030
Author: jbcooley <>
Date:   Sat Mar 15 04:22:45 2008 +0000

    Fix construction of SqlGenerators

commit f87cd49c78fa913dbdfb810e8bc6bdd585cc5f75
Author: talliesin <>
Date:   Sat Mar 15 02:17:05 2008 +0000

    Data types supporting date ranges outside of those supported by System.DateTime and the greater variety and detail provided by postgres' date and time datatypes.
    
    Moved Npgsql into the same file, as it is similar in some ways.
    
    Becaues these datatypes can clash with cases where one uses System.DateTime with a DataAdaptor, added a connection string option to choose between the the two.
    
    Also added error handling for the case where System.DateTime is being used, and an unexpected value outside of its range appears in data.

commit f5762b4e6a893ca8854d94366dc65f0361c16537
Author: talliesin <>
Date:   Fri Mar 14 20:58:27 2008 +0000

    *** empty log message ***

commit bb83bd450a7afda57bcf85ff7ce4ae2bf273f558
Author: talliesin <>
Date:   Fri Mar 14 20:45:40 2008 +0000

    Inherit V2 tests from V3 tests to keep consistency between them.

commit 7f528a1e5a21c24fb4b67e65c760a7fb6280f176
Author: fxjr <>
Date:   Fri Mar 14 04:46:40 2008 +0000

    Fixed handling of non digit chars when extracting server version from "select version()" return. It was giving problems for server versions in the format: 8.3beta1 for example.

commit 44d22feb9ec7fd2635b696a7fa868664924abd48
Author: fxjr <>
Date:   Fri Mar 14 04:44:43 2008 +0000

    Added connection string for tests using protocol version 2

commit eef3d5ce6a85d5d5349d03d12ffe36503ab770ee
Author: fxjr <>
Date:   Fri Mar 14 04:44:08 2008 +0000

    Added System.Configuration assembly reference to build test cases. Now testcases compile ok with nant

commit 420a0d87a9bec8ba85b69eea8eda0a38d009763c
Author: talliesin <>
Date:   Thu Mar 13 15:49:19 2008 +0000

    Better block on "beta" in server version strings - doesn't pick up numbers following "beta".

commit 5850adf88c41e27a135430028fa74fafdabe3140
Author: talliesin <>
Date:   Thu Mar 13 15:05:56 2008 +0000

    Remove dependencies upon System.Drawing.
    
    Make NpgsqlInterval clonable

commit c1a8156001690813bfdd621123aa40b9b976a4d9
Author: talliesin <>
Date:   Thu Mar 13 15:03:46 2008 +0000

    Fix server version breaking on "beta"

commit 663f8c4c16d9cd5803bad6341d8676ef1542a746
Author: jbcooley <>
Date:   Wed Mar 12 03:49:44 2008 +0000

    Support date extraction functions

commit aea95e982d7f451fdc436baeccfefbebd4b4ff24
Author: talliesin <>
Date:   Tue Mar 11 17:21:05 2008 +0000

    Silly typo!

commit 571293a77f16389c708aceb01b3a9dd690a6cb67
Author: talliesin <>
Date:   Tue Mar 11 16:59:53 2008 +0000

    Redo merge.

commit b0cbeb609da1ae3b9db77b6c1089941ee2a55624
Author: talliesin <>
Date:   Tue Mar 11 10:46:42 2008 +0000

    Merge in RELEASE_2_0_ALPHA3

commit bf29aacccc83055690bd3bac5016e1523a4e613b
Author: jbcooley <>
Date:   Tue Mar 11 01:11:20 2008 +0000

    Added support for dml

commit 9cbbfd1df62f4533a7d8db57e937889e03a6010b
Author: talliesin <>
Date:   Mon Mar 10 11:33:06 2008 +0000

    Fix reported bug #1010310

commit edab4ba599b5d4c7810bf5368333507d298ccf70
Author: fxjr <>
Date:   Sun Mar 9 22:51:03 2008 +0000

    Added support to property ProcessID in NpgsqlConnection.

commit 696055f85d62c406c3bd81ef08b6c04bd975c085
Author: jbcooley <>
Date:   Thu Mar 6 04:48:07 2008 +0000

    More select statement support plus simple dml support

commit b31c6c8ac46daeb9915b4d6153b8ee1e18b13845
Author: jbcooley <>
Date:   Thu Mar 6 04:47:04 2008 +0000

    Fix Clone method so that type_info doesn't get automatically initialized through the property getter.

commit b53bed665e3c8622854b82317a47b89e62e8d576
Author: fxjr <>
Date:   Sun Mar 2 03:46:27 2008 +0000

    Added information about running nunit tests, searchpath connection string parameter and array support.

commit dd6f0c5d5f97c03df123324768c7eec3d1b01ec6
Author: fxjr <>
Date:   Sun Mar 2 03:30:54 2008 +0000

    Added ArrayHandling.cs to project and changes the build action on NpgsqlMetaData.xml to embedded resource. NpgsqlSchema.GetDataSourceInformation() was throing exception without this fix. Thanks Patrik Husfloen (husfloen at gmail dot com) for patch.

commit 243b35fcfd849db1b3d65f2885ae781f1d194be5
Author: fxjr <>
Date:   Mon Feb 25 05:53:51 2008 +0000

    Fixed problem when calling functions with inout or out parameters. They
    were being incorrectly added with a column list which was complained by
    postgresql server: ERROR: 42601: a column definition list is only
    allowed for functions returning "record". See
    http://pgfoundry.org/forum/forum.php?thread_id=1075&forum_id=519 for
    discussion about this. Thanks very much to Anton Andreev (fn30762
    at fmi dot uni-sofia dot bg) for his help providing test cases.

commit b02940ec281b4c50b07b31c1e105dad84b3d2d36
Author: jbcooley <>
Date:   Mon Feb 18 04:46:19 2008 +0000

    added support for the COUNT function

commit 72b628a1bc0b9ee04c39583da5d4622e3358c45a
Author: jbcooley <>
Date:   Mon Feb 18 04:45:37 2008 +0000

    Adding SqlGenerators for entity framework

commit 5f50a02dbe58b0f507ac88c166d989c6365a66c7
Author: fxjr <>
Date:   Thu Feb 14 13:50:05 2008 +0000

    Removed verification of NpgsqlDbType.Array when setting NpgsqlDbType property. As BigInt has an enum value of 0, user would have problems if they try to specify an array of bigint because NpgsqlDbType.Array | NpgsqlDbType.Bigint == NpgsqlDbType.Array. This decision was based in the fact that to fix this problem, we would need to change all enum values which would lead to break already compiled clients. Thanks Jon Hanna for discussion about that.

commit aa781114cb07b90d13e6fcb907e18a2d028bbd76
Author: fxjr <>
Date:   Mon Feb 11 04:17:07 2008 +0000

    [#1010216] Array Handling. Not fully tested by comments welcome
    Added support for array datatype. Anything that implements IEnumerable<T> where T is a type already supported by npgsql will be treated the same as T[], anything that implements IEnumerable<U> where U implements IEnumerable<T> will be treated the same as T[,] (but cause an error if it's a "jagged" array, as postgres doesn't support them) and so on. In order to use it, just use an array or IEnumerable<T> as parameter value. Also, you can specify the NpgsqlDbType as an or'ed value to say it is an array: Binary or with other values. E.g. Array of Box is NpgsqlDbType.Array | NpgsqlDbType.Box. Thanks Jon Hanna (jon at hackcraft dot net) for patches. Also thanks Michael Parshin (parshim at gmail dot com) for his help fixing bugs.

commit 392d3a9e0e591887f29acc5b4267f066bcc02ccc
Author: fxjr <>
Date:   Wed Jan 30 22:01:12 2008 +0000

    Reverted search_path patch to original as proposed by Andrus Moor with an slightly modification to use = instead of TO. See here: http://pgfoundry.org/forum/message.php?msg_id=1002859 for discussion.
    
    Added check for semicolon (;) in searchpath connection string parameter to prevent from a sql injection attack.
    
    Now, public schema isn't added automatically anymore. User has to add it if she sets search_path in connection string.

commit 1129e68eed92f8aa96f30994327da0e2f0a506a8
Author: fxjr <>
Date:   Wed Jan 30 20:37:19 2008 +0000

    Added support for parameters explicit typing on plain queries (this support was already present when calling functions). Now when sending queries, Npgsql will send the exact typing of the parameters as specified by DbType or NpgsqlDbType enums. This will allow better type matching between client and server. Thanks Jon Hanna, Josh Cooley and Agrinei for heads up. See http://pgfoundry.org/forum/message.php?msg_id=1002944 for more info.

commit 875f585edf33f05c232c08e1ee98542aaced5e7e
Author: jbcooley <>
Date:   Fri Jan 25 00:44:48 2008 +0000

    wrapped code in #ifdef ENTITIES since this class also uses entity framework classes as Francisco pointed out.

commit 27ece2eb779ec60b846917672c567670f0e8ea9a
Author: jbcooley <>
Date:   Mon Jan 21 13:33:16 2008 +0000

    remove entity requirements from project.  (Shouldn't have been comitted before)

commit 3c4f5a872e68a1784fa4477e7c286d1bdc1df37a
Author: jbcooley <>
Date:   Mon Jan 21 13:28:34 2008 +0000

    Initial bits of Entity Framework support (#ifdef out)

commit 2be7cba5d450558f6580e82a2aef7afc84e63b23
Author: jbcooley <>
Date:   Sat Jan 19 05:05:19 2008 +0000

    do not prepend a : to the front of the parameter name when no marker is present.  This keeps the name the same as it was set and is required for entity framework support.

commit e751bcae17f1a254627fcf863ceeaa8b20672c9a
Author: jbcooley <>
Date:   Fri Jan 18 14:14:41 2008 +0000

    Clone more properties, most importantly the parameters.  Necessary for entity framework support.

commit f631743418dd4e58b924ad265e047cf3e0e6fabc
Author: jbcooley <>
Date:   Sun Jan 13 03:13:55 2008 +0000

    Enable System.Transactions support for EnlistTransaction even when enlist=false is set.  (Thanks for the feedback from  Dean Ward)

commit 105bdd6e4ebcdcd5e932dfd352224a1f83aa793a
Author: fxjr <>
Date:   Thu Jan 10 18:50:31 2008 +0000

    [#1002776] The connection string parameter CommandTimeout does't affected on Command.CommandTimeout. Thanks Oleg Ufaev for patch.

commit 98aaf25afd4d714145887b70dbfd90e393ef931d
Author: jbcooley <>
Date:   Thu Dec 20 05:08:07 2007 +0000

    updated assembly version to beta 2. (version 1.98.2)

commit f1bc7d8cd19975f28840d5e8a2e53a4126a0e0d4
Author: fxjr <>
Date:   Mon Dec 10 15:34:23 2007 +0000

    Fixed compilation warnings. Thanks Jon Hanna (jon at hackcraft dot net) for patches.

commit 8f5619f77378d992a02148a425f4aa705175e137
Author: h-saito <>
Date:   Thu Dec 6 04:56:02 2007 +0000

    add the VisualStudio project.

commit 101f45f5402907b3d8cc76038583cbe979197ee6
Author: h-saito <>
Date:   Thu Dec 6 04:31:47 2007 +0000

    Npgsql2 does not support a design dialog.
    Therefore, the sample is shown here.

commit 316608ec075134f97057c2eabf9b8c5d27873916
Author: h-saito <>
Date:   Thu Dec 6 02:24:44 2007 +0000

    Fixed typo.

commit 86161494baf20a956aed77911616a47ca1d2b5ea
Author: h-saito <>
Date:   Thu Dec 6 02:18:18 2007 +0000

    add the nant build file of testsuite(GUI).

commit bcf6b4dec812cf03e2c1b0df24954694b3c565cd
Author: h-saito <>
Date:   Thu Dec 6 01:07:24 2007 +0000

    add the japanese resources.

commit cfd3b17caaa91f09f2c97ea074bd186672d60e29
Author: fxjr <>
Date:   Wed Dec 5 20:55:35 2007 +0000

    [#1010209] Patch for test suite. Thanks Tao Wang for patches.

commit b93c0706c609ce150ec5211ff02a4ddb86fbf6d5
Author: fxjr <>
Date:   Wed Dec 5 20:49:51 2007 +0000

    [#1010201] Include NUnit20 testsuite to VS solution file. Thanks Tao Wang for patches.

commit 42d0bad962f7a3b9b98715273be21420d700ea96
Author: fxjr <>
Date:   Wed Dec 5 20:28:21 2007 +0000

    Added NUnit test cases to vs.net solution files. Thanks Tao Wang for patches.

commit 83ecc8e37dd6ff3114b22a0f0f0dbb455c7424f0
Author: fxjr <>
Date:   Wed Dec 5 20:14:16 2007 +0000

    Fixed nunit tests, added some util scripts. Thanks Tao Wang for patches.

commit ff13bb6fea33172840d8517a74a5df55f9e8ae04
Author: h-saito <>
Date:   Wed Dec 5 03:20:45 2007 +0000

    Entry failure of NpgsqlTypes resource.

commit d37bce74421a17d9a522eee252b92825d4ca08c7
Author: h-saito <>
Date:   Wed Dec 5 02:43:18 2007 +0000

    add the resources.

commit 7d114267b82fa00083c53ba6cf6335e9bf29d96e
Author: h-saito <>
Date:   Wed Dec 5 02:33:27 2007 +0000

    update the japanese resources.

commit 32adc648392a73f3e34956d0e425db6bca463c3c
Author: fxjr <>
Date:   Tue Dec 4 18:30:41 2007 +0000

    Applied patch to add files modified by patch: [#1010202] Adding NpgsqlConnectionStringBuilder class (with cache support). Thanks Tao Wang for patch.

commit 1df54728a6808b02b907f3cf11a3b0c6c14c5325
Author: fxjr <>
Date:   Mon Dec 3 13:12:45 2007 +0000

    [#1010202] Adding NpgsqlConnectionStringBuilder class (with cache support). Thanks Tao Wang (dancefire at gmail dot com) for patches!

commit ec135e4f36ae84608398b3502591d226adcc2d46
Author: fxjr <>
Date:   Sun Dec 2 18:21:51 2007 +0000

    Added another changedatabase test to test recent patches. Thanks Tao Wang for patch.

commit a5a5e2234f161cefc42c667d5b26fbc544b7580c
Author: fxjr <>
Date:   Sun Dec 2 18:06:49 2007 +0000

    [#1010202] Adding NpgsqlConnectionStringBuilder class (with cache support). Thanks Tao Wang for patches!

commit 603c3f7c9f0d38fb262767700143a77f95bf4aa6
Author: fxjr <>
Date:   Sun Dec 2 17:26:50 2007 +0000

    Added simplified chinese resource. Thanks Tao Wang for patch!

commit 8ae38739c40a2f1e1cb238be418ea73d909afe78
Author: fxjr <>
Date:   Sun Dec 2 17:24:34 2007 +0000

    Removed incorrectly added file.

commit 64c8d456667884c84064f9bd80ddff036bebe9c6
Author: fxjr <>
Date:   Tue Nov 27 17:57:25 2007 +0000

    Added missing zh-CN resource files. Thanks Tao Wang (dancefire at gmail dot com) for patches.

commit fd1ede4a8774777605fdde9506c66fb6d20f811d
Author: fxjr <>
Date:   Mon Nov 26 20:04:17 2007 +0000

    Added support for setting search path in connection string. You can use now searchpath=blabla in your connection string. You don't need to specify public search path as it is automatically added if you specify a custom search path. Thanks Andrus Moor (kobruleht2 at hot dot ee) for patch.

commit f8dc07e68b825a4a2819577cac60748c12af5b90
Author: fxjr <>
Date:   Mon Nov 26 18:31:23 2007 +0000

    Added missing zh-CN resources to VS.Net project file.
    Fixed line ending from unix format to dos format so vs.net can open project by double click on explorer. Thanks Tao Wang (dancefire at gmail dot com) for patches!

commit 590af31ac1f3737e24b46c710c3adeb1fb04b913
Author: fxjr <>
Date:   Thu Nov 22 13:35:51 2007 +0000

    I applied incorrectly Daniel's patch. Now it is ok. Sorry for that :(

commit 6d8b4f8ea40dc1b1e95ef726f63a1651e299af27
Author: fxjr <>
Date:   Thu Nov 22 13:29:44 2007 +0000

    Fixed bug when trying to connect to ipv6 hosts. Also, added support for connecting to server names which have multiple ip addresses. Thanks Daniel Nauck (dna at mono-project dot de) for patch.

commit 13a066a7131d1ec2669006c049b9f465ddaff259
Author: jbcooley <>
Date:   Thu Nov 22 04:20:02 2007 +0000

    Remove bad files from project and added zn-CH resx files.

commit 13f2b18a284eb4effa157819779672fea771f8d4
Author: jbcooley <>
Date:   Thu Nov 22 04:16:09 2007 +0000

    Added NpgsqlCopySerializer

commit fe71c680012e1be25a773276366be2e6871f4a41
Author: jbcooley <>
Date:   Thu Nov 22 04:14:48 2007 +0000

    Solution and Project for Visual Studio 2008.  Also includes definition for NET35.

commit dc62f03dcd4af28401cad4d019817b2d8c2d3784
Author: fxjr <>
Date:   Sat Nov 17 14:58:42 2007 +0000

    Added mapping for the new 'xml' native type available in
    PostgreSQL 8.3:
    http://www.postgresql.org/docs/8.3/static/datatype-xml.html
    This is 'simple' patch that allow tu use String for type DbType.Xml. Thanks David Bachmann (david dot bachmann at ersystems dot ch) for patches.

commit 1949e88f5d54213338956d5c03bb2d26726f438a
Author: fxjr <>
Date:   Fri Nov 16 14:43:51 2007 +0000

    Npgsql.csproj: Missing reference to NpgsqlCopyFormat.cs added.
    
    NpgsqlDbType.cs,
    NpgsqlTypesHelper.cs: This patch add mapping for the new 'xml' native type available in
    PostgreSQL 8.3:
    http://www.postgresql.org/docs/8.3/static/datatype-xml.html
    
    This is 'simple' patch that allow tu use String for type DbType.Xml.

commit fa6fac52fe298bef470f44728a815b84c448a649
Author: fxjr <>
Date:   Fri Nov 16 00:10:59 2007 +0000

     [#1010187] Problem with parsing parameters and "<" or ">" operator with Prepare().
     [#1010186] Thread safety problem when Parsing command text.
     Thanks Hubert FONGARNAND for patches!

commit 9d84a324513683fe5447f6502666ea8ebb24b52b
Author: fxjr <>
Date:   Tue Nov 6 16:22:38 2007 +0000

    *** empty log message ***

commit 2a8b2ad597aea9e45903c76ec86133e2940dee24
Author: fxjr <>
Date:   Tue Nov 6 16:21:27 2007 +0000

    Fixed build file to allows other resources to be compiled.

commit 89be9d85bd54619d27399282cb868f0c72d5510d
Author: fxjr <>
Date:   Tue Nov 6 13:47:59 2007 +0000

    Added last minute localization patch.

commit 3f1fd93791eb9ef8ec6b2b62a7f3a23f52baaa30
Author: fxjr <>
Date:   Tue Nov 6 13:46:06 2007 +0000

    [#1008537] New resource files - zh-CN. Added support for Chinese (Simplified). Thanks Fan (Frank) Chown (reverseark at gmail dot com) for patch!

commit 06a42cafe0e0b8c8f76594c4b959ffa07db8428d
Author: fxjr <>
Date:   Tue Nov 6 13:14:33 2007 +0000

    Updated

commit bd6a9f3d2687ef62f53142627ab33c27c12a02f8
Author: fxjr <>
Date:   Tue Nov 6 13:13:55 2007 +0000

    Updated RELEASENOTES to include a last minute fix.
    
    Fixed a possible lockup when using SyncNotification. Runtime wasn't releasing the lock fairly. See http://pgfoundry.org/forum/message.php?msg_id=1002650 for more info. Thanks Clive Simmens (cs at ctronix dot com) for heads up, tests and patch.

commit 49389dee91b4259ccf47aecc87db9bd725111b1a
Author: fxjr <>
Date:   Tue Nov 6 12:39:28 2007 +0000

    Updated Changelog

commit 3eafa83f7bea92e363b8cebbf1b5f47436e62ec9
Author: fxjr <>
Date:   Tue Nov 6 12:38:24 2007 +0000

    Added release notes for Beta1 release.

commit 2cdca1d57e0a3fcaac657b28d69a1b458a49acc4
Author: fxjr <>
Date:   Tue Nov 6 12:37:21 2007 +0000

    Updated assembly version to Beta1. suffix 98.1

commit a0eab3d5759fdc6e9b12bf6e2e1d83f91e9ca97b
Author: fxjr <>
Date:   Tue Nov 6 12:36:28 2007 +0000

    Added more information about System.Transactions.
    Added table info about uuid datatype support.

commit 72c28462a13ee4c9ccf224389283d533096c1ff7
Author: fxjr <>
Date:   Mon Nov 5 21:49:35 2007 +0000

    Added initial information about System.Transactions support. Thanks Josh Cooley

commit 82bd5b8784f35e8929115cc15d08145b9b66d8e4
Author: jbcooley <>
Date:   Sat Nov 3 23:38:54 2007 +0000

    Improve handleing of closed connections and non-pooled connections

commit 78f704ddbb3d272f8386e254993622c73f9e9e0f
Author: fxjr <>
Date:   Sat Nov 3 21:42:26 2007 +0000

    Added support for DataSourceInformation schema in NpgsqlConnection.GetSchema(string collectionName, string[]
    restrictions). Thanks Rasha (strasha at gmail dot com) for patch.
    Improved NpgsqlCommandBuilder so it now conforms to ADO.NET 2.0 standards. Thanks Rasha (strasha at gmail dot com) for patch.

commit d35336570e464332aa0343ae82768317cfd4c929
Author: jbcooley <>
Date:   Fri Nov 2 00:41:16 2007 +0000

    2007-11-1 Josh Cooley <jbnpgsql@tuxinthebox.net>
    
      Improve handleing of closed connections and non-pooled connections

commit 4d3f4ec81c0a5903aa5d524e8d72fe179d7f541d
Author: jbcooley <>
Date:   Thu Nov 1 03:06:26 2007 +0000

    2007-10-31 Josh Cooley <jbnpgsql@tuxinthebox.net>
    
      Adding pieces for ado.net 3.5 and ado.net entities.

commit 48cb6c38ec28d173d3e8e7f2de88effcba7a1f38
Author: fxjr <>
Date:   Thu Oct 18 13:55:07 2007 +0000

    Removed hardcoded path to nunit assemblies. Now use a dynamic property to get them. Thanks Gert Driesen (gert dot driesen -at- ardatis dot com) from nant dev team for coding this property. Now, Npgsql tests are easier to run.

commit 25623fd7b1c724eb41905bbca374ab33ef3b4776
Author: fxjr <>
Date:   Sun Oct 14 20:20:55 2007 +0000

    Fixed mixed line endings. Thanks David Bachmann for patch!

commit 85ae7873327ff5b9f479c4f5e95d3dcc70d1e0f7
Author: fxjr <>
Date:   Sat Oct 13 20:19:35 2007 +0000

    Added initial support for a copy serializer for COPY FROM STDIN. (Kalle Hallivuori)

commit 2a059176aa3d8828b856edf3769fcbf37ad326f4
Author: fxjr <>
Date:   Sat Oct 13 20:15:39 2007 +0000

    "Applied patch against CVS containing comments and small fixes for COPY support.
    
    Biggest change in structure is the separation of copy format into its own class - this is required to support serialization, which I'm working on." (Kalle Hallivuori)

commit 5996e7696fd9f88e0a1a063b72ed3e667917cc5c
Author: fxjr <>
Date:   Sat Oct 13 19:57:24 2007 +0000

    "Applied patch against CVS containing comments and small fixes for COPY support.
    
    Biggest change in structure is the separation of copy format into its own class - this is required to support serialization, which I'm working on." (Kalle Hallivuori)

commit f3c657b4224f39183c1320a8dd305741ed659a94
Author: fxjr <>
Date:   Sat Oct 13 19:54:05 2007 +0000

    Updated nant build file and Monodevelop project files with latest additions in order to compile Npgsql.

commit de306ce6e00b68acebdbda6eb0aa57dd4f734a6f
Author: fxjr <>
Date:   Sat Oct 13 15:03:18 2007 +0000

    Updated docs to include documentation about COPY IN/OUT support. Thanks Kalle Hallivuori for patches!

commit 5c036afd63c8478fe5e576d70c15d8ebd5a27631
Author: fxjr <>
Date:   Sat Oct 13 13:50:04 2007 +0000

    Initial release

commit e54038dcd007d8706dd344a3eb71f83b2b385a42
Author: jbcooley <>
Date:   Sat Oct 13 03:59:19 2007 +0000

    2007-10-12 Josh Cooley <jbnpgsql@tuxinthebox.net>
    
      Added support for System.Transactions and promotable transactions.
      Added Copy files to project.

commit d8766e59a472c4064cff6c45dc4041558bf33502
Author: jbcooley <>
Date:   Sat Oct 13 03:36:46 2007 +0000

    2007-10-12 Josh Cooley <jbnpgsql@tuxinthebox.net>
    
      Added support for System.Transactions and promotable transactions.

commit c9085361ec22fb260af9bc395fdd139f0dff46bb
Author: jbcooley <>
Date:   Sat Oct 13 01:00:56 2007 +0000

    2007-10-12 Josh Cooley <jbnpgsql@tuxinthebox.net>
    
      Move PGUtil to first class in file so that visual studio builds associated resource correctly.

commit 7f907ecf65aa0065fedf36e3db0d978aaffc6ec4
Author: fxjr <>
Date:   Wed Oct 10 15:21:01 2007 +0000

    Updated BSD License

commit cc0ee4c72467a3241023316ff0fd5d627ca10659
Author: fxjr <>
Date:   Wed Oct 10 15:19:00 2007 +0000

    Complete nunit tests added. Thanks Kalle Hallivuori for patch!

commit 1812634e570fdc3952355d34aba9643168bb51cb
Author: fxjr <>
Date:   Wed Oct 10 15:10:56 2007 +0000

    Updated BSD License text in all files.
    
    NpgsqlCopyIn.cs,
    NpgsqlCopyInState.cs,
    NpgsqlCopyInStream.cs,
    NpgsqlCopyOut.cs,
    NpgsqlCopyOutState.cs,
    NpgsqlCopyOutStream.cs: A buffer overflow fix. Errors are now hopefully handled correctly. Thanks Kalle Hallivuori for patch!
    add_tables.sql,
    expected_copy,
    test_copy.cs: Complete nunit tests added. Thanks Kalle Hallivuori for patch!
    
    LICENSE.txt: Fixed BSD License text to include The Npgsql Team. Thanks Kalle Hallivuori for heads up!

commit 3fc50233da5446d74bea8b79292d524c029b608e
Author: fxjr <>
Date:   Tue Oct 9 06:04:33 2007 +0000

    	[#1000847] Connection settings are parsed wrong with Turkish locale. Thanks Gokcer Gokdal (gokcergokdal at yahoo dot com) for patch.

commit a36eb04db2d8fd7e8b89bcbb7e69c284fde83263
Author: fxjr <>
Date:   Tue Oct 9 05:16:05 2007 +0000

        [#1003272] Queue Empty exception. Thanks Francois Payette ( francoisp at netmosphere dot net) for patch.

commit 0e899ccdb93251012cecfb3ddbaf2d27e42b57ba
Author: fxjr <>
Date:   Sat Oct 6 13:16:43 2007 +0000

    Updated to use the correct BSD License version without advertisement clause. This is now the same version as Postgresql server itself. Sorry for this big mistake.

commit 3d413eb2644ec121b2362b38d1e059d997777818
Author: fxjr <>
Date:   Wed Oct 3 15:10:20 2007 +0000

    Added support for COPY IN and COPY OUT operations. Thanks Kalle Hallivuori (kato at iki dot fi) for patch and Truviso.com for supporting Kalle on this.

commit 280e33117e642d1e744e7c04a2baad1a8b86fe8c
Author: fxjr <>
Date:   Fri Sep 28 04:20:23 2007 +0000

    	NpgsqlDataReader.cs,
    	NpgsqlDbType.cs,
    	NpgsqlTypesHelper.cs: [#1008782] Support for Guid type. Thanks David Bachmann (david dot bachmann at ersystems dot ch) for patch.
    
    	NpgsqlTypesHelper.cs: Fixed parameter mapping for currency datatype. Thanks Jack (hsj178 at 126 dot com) for patch.

commit 1e6a30060593bc542cd1c1bb5176a89389ced832
Author: fxjr <>
Date:   Fri Sep 21 02:16:51 2007 +0000

    	Fixed SSL authentication by setting an static field to true: RSACryptoServiceProvider.UseMachineKeyStore = true. See https://bugzilla.novell.com/show_bug.cgi?id=MONO77559 and http://pgfoundry.org/forum/message.php?msg_id=1002377 for more info about that. Thanks Erwin Thaler for heads up.

commit b4a14657ab6e9ad91cf9d7f5f16ee91bb4008f39
Author: fxjr <>
Date:   Thu Sep 20 14:19:09 2007 +0000

    	Fix for bug: [#1007697] Parameter name is not trimmed NpgsqlParameter constructor. Thanks Joren Six for patch.

commit 09236eb6b8c1a360e54946b0907dc822e32f2feb
Author: fxjr <>
Date:   Thu Sep 20 13:45:12 2007 +0000

    	Improved connection string parsing. Thanks Ben Sagal for patch.

commit 30b630a89b87127d8edde01c0cb077c53b0ab2d0
Author: fxjr <>
Date:   Fri Sep 14 14:56:47 2007 +0000

    	Fixed UserManual documentation. Thanks Frank Chow (reverseark at gmail dot com) for heads up!

commit 7d3923ab5cc7a31d7e3c2e4391324b3206551cd3
Author: fxjr <>
Date:   Fri Sep 14 14:34:33 2007 +0000

    	Added Npgsql2 documentation from original Npgsql documentation.

commit 7b0ae460ccbe0527ed9473eb94767ca4c9dda24c
Author: fxjr <>
Date:   Tue Aug 28 05:45:08 2007 +0000

    	Added BSD License text file

commit c9bb465b5069b37072fda68239a40c6ec252b238
Author: fxjr <>
Date:   Tue Aug 28 05:13:30 2007 +0000

    	Removed Torben patch as his permission to change to BSD wasn't received.

commit 4c63a52ceb41f71622782d22eba2f231cd83a95b
Author: fxjr <>
Date:   Tue Aug 28 05:12:35 2007 +0000

    	Removed Gridnine patch in order to change Npgsql license as Gridnine permission wasn't received.

commit 451378e2e5548f0d1a86b29076be5a93b9c16ef6
Author: fxjr <>
Date:   Sat Jul 7 05:46:18 2007 +0000

    Fixed Npgsql.build to include missing resources.
    Reverted a modification which set the framework target to mono-2.0. This breaks ms.net target.

commit 8a398dfb2012bb4a622868a7dd1f49cf2ec2726e
Author: fxjr <>
Date:   Sat Jul 7 05:34:30 2007 +0000

    Added tests.

commit 2cc54341fdabd0b4d098028340501b933f45cc8f
Author: fxjr <>
Date:   Sat Jul 7 05:09:48 2007 +0000

    Updated to Mono 1.2.4 version.

commit bf77bbee3c812e9d4a8e36f2976b6ed8ba0b3a66
Author: fxjr <>
Date:   Wed Jul 4 04:36:31 2007 +0000

    2007-07-04 Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
        * Npgsql/AssemblyVersion.cs: Changed assembly version to its correct value: 1.97.1. This version means it is a preview version (before beta). It isn't also an alpha version because it is as stable as 1.0.0 was.

commit 6c2ad51212ee64b49df41747543c65047c921334
Author: fxjr <>
Date:   Wed Jul 4 04:31:56 2007 +0000

    2007-07-04  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Npgsql.build: Fixed an incorrect property value of src.dir. It was pointing to ./ instead of the full path of project. This was making NUnit tests assembly to be not compiled.

commit 542162d44ce056a5e80295ff61831ba64848686f
Author: fxjr <>
Date:   Wed Jul 4 04:23:58 2007 +0000

    2007-07-04  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
        * Npgsql.mdp,
          Npgsql.mds: Added MonoDevelop Project Files.

commit b1f4e1a3702d33856223d8a41b2dbf43e279a7b5
Author: fxjr <>
Date:   Wed Jul 4 03:36:37 2007 +0000

    2007-07-04  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Npgsql.build: Fixed to compile on .net 2.0

commit 80050f0f799190c8aad3a9c6aa4d44e0db6d2d6c
Author: fxjr <>
Date:   Tue Jul 3 04:07:31 2007 +0000

    2007-07-03  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	README.txt,
    	RELEASENOTES.txt: Initial import. Added notice about preview release of Npgsql2

commit 94e3fbb81249e007a511736cdac3abbeefb3c9c3
Author: h-saito <>
Date:   Thu Mar 29 16:20:59 2007 +0000

    Umm, Correct the 0d0a of Dos to 0a.

commit d0edab5eb3ad4a98d56c856f87814cbd5d4e5655
Author: h-saito <>
Date:   Thu Mar 29 16:07:32 2007 +0000

    Fixed table definition guide.

commit c85776e3b56d81bbebccb5397ee831622aac8da8
Author: jbcooley <>
Date:   Sat Jan 27 04:16:17 2007 +0000

    2007-01-26  Josh Cooley <jbnpgsql@tuxinthebox.net>
    
         * Synced project with build file.

commit 17befc9b53a0aad10f3e4a34d23614a8f7ec8f6c
Author: fxjr <>
Date:   Wed Jan 10 03:40:33 2007 +0000

    2007-01-10  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Added ASP.Net providers implementation by Jon Asher. Thanks also to Federico Di Gregorio for help and feedback on this work. Modified Npgsql.build to compile these providers.

commit c42cbd0461d3c0ca6dab42da900c52f1ac94986c
Author: fxjr <>
Date:   Mon Nov 27 12:21:03 2006 +0000

    2006-11-27  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Added missing resource files.

commit 6b5b2f545e161e3b6bca2abeaf6b5e2a2f3725eb
Author: fxjr <>
Date:   Sun Nov 12 16:07:42 2006 +0000

    2006-11-12  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Npgsql.csproj: Added NpgsqlFactory.cs file to project

commit 93e32d629cd1d7ec64119c3762ebe605fd60aff0
Author: fxjr <>
Date:   Sun Nov 12 15:37:35 2006 +0000

    2006-11-12  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* NpgsqlFactory.cs: Added initial implementation of NpgsqlFactory.

commit 2bf18c7dd6d80f0e5d2e7ffc21eee70660ce8b5d
Author: fxjr <>
Date:   Sun Nov 12 15:36:35 2006 +0000

    2006-11-12  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* NpgsqlCommandBuilder.cs: Set DbCommandBuilder as superclass and added empty implementations of abstract methods.

commit f7ef56b6e661d3070a44d776e181b7609deaedbb
Author: fxjr <>
Date:   Sun Nov 12 15:35:17 2006 +0000

    2006-11-12  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* NpgsqlException.cs: Set DbException as superclass.

commit 1296fee46763fe7aaadfd34f3e779d42ddc54323
Author: fxjr <>
Date:   Tue Oct 31 13:49:54 2006 +0000

    2006-10-31  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* NpgsqlCommand.cs: [#1000765] InvalidCastException for ByteA Parameter when command.Prepare() Thanks Hubert Fongarnand for patch!

commit 36e0d1e6c8a3fda60bc864ab675af25a53d8cf7b
Author: fxjr <>
Date:   Mon Oct 30 14:21:52 2006 +0000

    2006-10-30  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Npgsql.build: Added current culture compilation support.

commit 5ef834dd91f77f3738429d607da2fd212904ccc4
Author: fxjr <>
Date:   Mon Oct 30 14:12:33 2006 +0000

    2006-10-30  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Added Npgsql.build NAnt build file.

commit daab85b03a0573e60776c6271fa132958630dd89
Author: fxjr <>
Date:   Thu Oct 26 02:32:27 2006 +0000

    2006-10-25  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
            * NpgsqlTypesHelper.cs: Finished applying correctly patch from Patrick Greenwald. It was incorrectly patched.

commit ae851eab8b4ff75314c8952ecff91df712744de5
Author: jbcooley <>
Date:   Wed Oct 18 04:14:10 2006 +0000

    2006-10-17    Josh Cooley <jbnpgsql@tuxinthebox.net>
    
      Fix warnings when building against .NET 2.0.

commit 4b4fea37369de9fadffcdaa853b2f765827edff7
Author: jbcooley <>
Date:   Wed Oct 18 04:12:46 2006 +0000

    2006-10-17    Josh Cooley <jbnpgsql@tuxinthebox.net>
    
      Updates for ADO.NET 2.0

commit bdc833f08d4f8d29fae526eb9d7d772ee3765658
Author: jbcooley <>
Date:   Sat Oct 14 04:29:58 2006 +0000

    2006-10-13     Josh Cooley <jbnpgsql@tuxinthebox.net>
    
       solution and project for Microsoft Visual C# 2005 edition.

commit 56f280225c422adfd2dd8bf28113f7c1bf8d6126
Author: jbcooley <>
Date:   Sat Oct 14 04:28:45 2006 +0000

    2006-10-13     Josh Cooley <jbnpgsql@tuxinthebox.net>
    
       Migrating files from Npgsql tree

commit 6aa8cd1ab2af3f44e0a3ef8238d882f5df6246bc
Author: jbcooley <>
Date:   Sat Oct 14 03:24:02 2006 +0000

    2006-13-10        Josh Cooley <jbnpgsql@tuxinthebox.net>
    
      *  Updated from Npgsql 1.0 source

commit 07229e748cbe42f649c86dca109287f9e83583a4
Author: jbcooley <>
Date:   Tue Jul 4 19:04:49 2006 +0000

    2006-07-04  Josh Cooley  <jbnpgsql@tuxinthebox.net>
        * Fixed possible memory leak when multiple command builders attached to a single NpgsqlDataAdapter.
        * Fixed DataRow state problem where an insert fails.  The command builder no longer accepts the changes (but the NpgsqlDataAdapter still does).

commit 80a8bb4ec69bed7043b6421eff7269e0e465b8c1
Author: jbcooley <>
Date:   Mon Jun 12 04:02:17 2006 +0000

    2006-06-11  Josh Cooley  <jbnpgsql@tuxinthebox.net>
        * Fixed NpgsqlCommandBuilder.cs to always qualify table names with the schema name so that the command builder can be used with tables in other schemas.

commit b2264e0a3b76d4deea3e594ec5a9b95c1412d752
Author: jbcooley <>
Date:   Mon May 15 02:46:27 2006 +0000

    2006-05-14  Josh Cooley  <jbnpgsql@tuxinthebox.net>
        * Fixed NpgsqlCommandBuilder.cs to use just the column name from the DataTable so that the case is consistent in the parameter names.

commit f3aca2ebb86fbcb5ce744826de447e6074b7a320
Author: fxjr <>
Date:   Sat May 13 18:53:03 2006 +0000

    2006-05-13  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Updated from Npgsql module version RC1.

commit 2055858da6bcf6e7fea78ad49a9499d82aefff0b
Author: jbcooley <>
Date:   Sat May 6 02:36:28 2006 +0000

    2006-05-05  Josh Cooley
      * Fixed BuildCommand to handle multiple restrictions correctly.  Now includes AND keywords between restrictions.

commit a77593584295cad065a066fccd261c524c23ffad
Author: fxjr <>
Date:   Tue Feb 14 13:29:13 2006 +0000

    2006-02-14  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    
    	* Added Npgsql2 for .Net 2.0 module
